Show / Hide Table of Contents

# Class ImGuiNative

##### Inheritance

System.Object
ImGuiNative

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public static class ImGuiNative

### Methods

#### igAcceptDragDropPayload(Byte*, ImGuiDragDropFlags)

##### Declaration

    public static ImGuiPayload*igAcceptDragDropPayload(byte *type, ImGuiDragDropFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | type |
ImGuiDragDropFlags | flags |

##### Returns

Type | Description
--- | ---
ImGuiPayload* |

#### igAlignTextToFramePadding()

##### Declaration

    public static void igAlignTextToFramePadding()

#### igArrowButton(Byte*, ImGuiDir)

##### Declaration

    public static byte igArrowButton(byte *str_id, ImGuiDir dir)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | str_id |
ImGuiDir | dir |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igBegin(Byte*, Byte*, ImGuiWindowFlags)

##### Declaration

    public static byte igBegin(byte *name, byte *p_open, ImGuiWindowFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | name |
System.Byte* | p_open |
ImGuiWindowFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igBeginChild(Byte*, Vector2, Byte, ImGuiWindowFlags)

##### Declaration

    public static byte igBeginChild(byte *str_id, Vector2 size, byte border, ImGuiWindowFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | str_id |
System.Numerics.Vector2 | size |
System.Byte | border |
ImGuiWindowFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igBeginChildFrame(UInt32, Vector2, ImGuiWindowFlags)

##### Declaration

    public static byte igBeginChildFrame(uint id, Vector2 size, ImGuiWindowFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | id |
System.Numerics.Vector2 | size |
ImGuiWindowFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igBeginChildID(UInt32, Vector2, Byte, ImGuiWindowFlags)

##### Declaration

    public static byte igBeginChildID(uint id, Vector2 size, byte border, ImGuiWindowFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | id |
System.Numerics.Vector2 | size |
System.Byte | border |
ImGuiWindowFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igBeginCombo(Byte*, Byte*, ImGuiComboFlags)

##### Declaration

    public static byte igBeginCombo(byte *label, byte *preview_value, ImGuiComboFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Byte* | preview_value |
ImGuiComboFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igBeginDragDropSource(ImGuiDragDropFlags)

##### Declaration

    public static byte igBeginDragDropSource(ImGuiDragDropFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiDragDropFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igBeginDragDropTarget()

##### Declaration

    public static byte igBeginDragDropTarget()

##### Returns

Type | Description
--- | ---
System.Byte |

#### igBeginGroup()

##### Declaration

    public static void igBeginGroup()

#### igBeginMainMenuBar()

##### Declaration

    public static byte igBeginMainMenuBar()

##### Returns

Type | Description
--- | ---
System.Byte |

#### igBeginMenu(Byte*, Byte)

##### Declaration

    public static byte igBeginMenu(byte *label, byte enabled)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Byte | enabled |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igBeginMenuBar()

##### Declaration

    public static byte igBeginMenuBar()

##### Returns

Type | Description
--- | ---
System.Byte |

#### igBeginPopup(Byte*, ImGuiWindowFlags)

##### Declaration

    public static byte igBeginPopup(byte *str_id, ImGuiWindowFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | str_id |
ImGuiWindowFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igBeginPopupContextItem(Byte*, Int32)

##### Declaration

    public static byte igBeginPopupContextItem(byte *str_id, int mouse_button)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | str_id |
System.Int32 | mouse_button |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igBeginPopupContextVoid(Byte*, Int32)

##### Declaration

    public static byte igBeginPopupContextVoid(byte *str_id, int mouse_button)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | str_id |
System.Int32 | mouse_button |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igBeginPopupContextWindow(Byte*, Int32, Byte)

##### Declaration

    public static byte igBeginPopupContextWindow(byte *str_id, int mouse_button, byte also_over_items)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | str_id |
System.Int32 | mouse_button |
System.Byte | also_over_items |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igBeginPopupModal(Byte*, Byte*, ImGuiWindowFlags)

##### Declaration

    public static byte igBeginPopupModal(byte *name, byte *p_open, ImGuiWindowFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | name |
System.Byte* | p_open |
ImGuiWindowFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igBeginTabBar(Byte*, ImGuiTabBarFlags)

##### Declaration

    public static byte igBeginTabBar(byte *str_id, ImGuiTabBarFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | str_id |
ImGuiTabBarFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igBeginTabItem(Byte*, Byte*, ImGuiTabItemFlags)

##### Declaration

    public static byte igBeginTabItem(byte *label, byte *p_open, ImGuiTabItemFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Byte* | p_open |
ImGuiTabItemFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igBeginTooltip()

##### Declaration

    public static void igBeginTooltip()

#### igBullet()

##### Declaration

    public static void igBullet()

#### igBulletText(Byte*)

##### Declaration

    public static void igBulletText(byte *fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | fmt |

#### igButton(Byte*, Vector2)

##### Declaration

    public static byte igButton(byte *label, Vector2 size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Numerics.Vector2 | size |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igCalcItemWidth()

##### Declaration

    public static float igCalcItemWidth()

##### Returns

Type | Description
--- | ---
System.Single |

#### igCalcListClipping(Int32, Single, Int32*, Int32*)

##### Declaration

    public static void igCalcListClipping(int items_count, float items_height, int *out_items_display_start, int *out_items_display_end)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | items_count |
System.Single | items_height |
System.Int32* | out_items_display_start |
System.Int32* | out_items_display_end |

#### igCalcTextSize(Byte*, Byte*, Byte, Single)

##### Declaration

    public static Vector2 igCalcTextSize(byte *text, byte *text_end, byte hide_text_after_double_hash, float wrap_width)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | text |
System.Byte* | text_end |
System.Byte | hide_text_after_double_hash |
System.Single | wrap_width |

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

#### igCaptureKeyboardFromApp(Byte)

##### Declaration

    public static void igCaptureKeyboardFromApp(byte want_capture_keyboard_value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte | want_capture_keyboard_value |

#### igCaptureMouseFromApp(Byte)

##### Declaration

    public static void igCaptureMouseFromApp(byte want_capture_mouse_value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte | want_capture_mouse_value |

#### igCheckbox(Byte*, Byte*)

##### Declaration

    public static byte igCheckbox(byte *label, byte *v)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Byte* | v |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igCheckboxFlags(Byte*, UInt32*, UInt32)

##### Declaration

    public static byte igCheckboxFlags(byte *label, uint *flags, uint flags_value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.UInt32* | flags |
System.UInt32 | flags_value |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igCloseCurrentPopup()

##### Declaration

    public static void igCloseCurrentPopup()

#### igCollapsingHeader(Byte*, ImGuiTreeNodeFlags)

##### Declaration

    public static byte igCollapsingHeader(byte *label, ImGuiTreeNodeFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
ImGuiTreeNodeFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igCollapsingHeaderBoolPtr(Byte*, Byte*, ImGuiTreeNodeFlags)

##### Declaration

    public static byte igCollapsingHeaderBoolPtr(byte *label, byte *p_open, ImGuiTreeNodeFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Byte* | p_open |
ImGuiTreeNodeFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igColorButton(Byte*, Vector4, ImGuiColorEditFlags, Vector2)

##### Declaration

    public static byte igColorButton(byte *desc_id, Vector4 col, ImGuiColorEditFlags flags, Vector2 size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | desc_id |
System.Numerics.Vector4 | col |
ImGuiColorEditFlags | flags |
System.Numerics.Vector2 | size |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igColorConvertFloat4ToU32(Vector4)

##### Declaration

    public static uint igColorConvertFloat4ToU32(Vector4 in)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector4 | in |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### igColorConvertHSVtoRGB(Single, Single, Single, Single*, Single*, Single*)

##### Declaration

    public static void igColorConvertHSVtoRGB(float h, float s, float v, float *out_r, float *out_g, float *out_b)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | h |
System.Single | s |
System.Single | v |
System.Single* | out_r |
System.Single* | out_g |
System.Single* | out_b |

#### igColorConvertRGBtoHSV(Single, Single, Single, Single*, Single*, Single*)

##### Declaration

    public static void igColorConvertRGBtoHSV(float r, float g, float b, float *out_h, float *out_s, float *out_v)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | r |
System.Single | g |
System.Single | b |
System.Single* | out_h |
System.Single* | out_s |
System.Single* | out_v |

#### igColorConvertU32ToFloat4(UInt32)

##### Declaration

    public static Vector4 igColorConvertU32ToFloat4(uint in)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | in |

##### Returns

Type | Description
--- | ---
System.Numerics.Vector4 |

#### igColorEdit3(Byte*, Vector3*, ImGuiColorEditFlags)

##### Declaration

    public static byte igColorEdit3(byte *label, Vector3*col, ImGuiColorEditFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Numerics.Vector3* | col |
ImGuiColorEditFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igColorEdit4(Byte*, Vector4*, ImGuiColorEditFlags)

##### Declaration

    public static byte igColorEdit4(byte *label, Vector4*col, ImGuiColorEditFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Numerics.Vector4* | col |
ImGuiColorEditFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igColorPicker3(Byte*, Vector3*, ImGuiColorEditFlags)

##### Declaration

    public static byte igColorPicker3(byte *label, Vector3*col, ImGuiColorEditFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Numerics.Vector3* | col |
ImGuiColorEditFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igColorPicker4(Byte*, Vector4*, ImGuiColorEditFlags, Single*)

##### Declaration

    public static byte igColorPicker4(byte *label, Vector4*col, ImGuiColorEditFlags flags, float *ref_col)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Numerics.Vector4* | col |
ImGuiColorEditFlags | flags |
System.Single* | ref_col |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igColumns(Int32, Byte*, Byte)

##### Declaration

    public static void igColumns(int count, byte *id, byte border)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | count |
System.Byte* | id |
System.Byte | border |

#### igCombo(Byte*, Int32*, Byte**, Int32, Int32)

##### Declaration

    public static byte igCombo(byte *label, int *current_item, byte **items, int items_count, int popup_max_height_in_items)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Int32* | current_item |
System.Byte** | items |
System.Int32 | items_count |
System.Int32 | popup_max_height_in_items |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igComboStr(Byte*, Int32*, Byte*, Int32)

##### Declaration

    public static byte igComboStr(byte *label, int *current_item, byte *items_separated_by_zeros, int popup_max_height_in_items)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Int32* | current_item |
System.Byte* | items_separated_by_zeros |
System.Int32 | popup_max_height_in_items |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igCreateContext(ImFontAtlas*)

##### Declaration

    public static IntPtr igCreateContext(ImFontAtlas*shared_font_atlas)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | shared_font_atlas |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### igDebugCheckVersionAndDataLayout(Byte*, UInt32, UInt32, UInt32, UInt32, UInt32, UInt32)

##### Declaration

    public static byte igDebugCheckVersionAndDataLayout(byte *version_str, uint sz_io, uint sz_style, uint sz_vec2, uint sz_vec4, uint sz_drawvert, uint sz_drawidx)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | version_str |
System.UInt32 | sz_io |
System.UInt32 | sz_style |
System.UInt32 | sz_vec2 |
System.UInt32 | sz_vec4 |
System.UInt32 | sz_drawvert |
System.UInt32 | sz_drawidx |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igDestroyContext(IntPtr)

##### Declaration

    public static void igDestroyContext(IntPtr ctx)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | ctx |

#### igDragFloat(Byte*, Single*, Single, Single, Single, Byte*, Single)

##### Declaration

    public static byte igDragFloat(byte *label, float *v, float v_speed, float v_min, float v_max, byte *format, float power)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Single* | v |
System.Single | v_speed |
System.Single | v_min |
System.Single | v_max |
System.Byte* | format |
System.Single | power |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igDragFloat2(Byte*, Vector2*, Single, Single, Single, Byte*, Single)

##### Declaration

    public static byte igDragFloat2(byte *label, Vector2*v, float v_speed, float v_min, float v_max, byte *format, float power)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Numerics.Vector2* | v |
System.Single | v_speed |
System.Single | v_min |
System.Single | v_max |
System.Byte* | format |
System.Single | power |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igDragFloat3(Byte*, Vector3*, Single, Single, Single, Byte*, Single)

##### Declaration

    public static byte igDragFloat3(byte *label, Vector3*v, float v_speed, float v_min, float v_max, byte *format, float power)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Numerics.Vector3* | v |
System.Single | v_speed |
System.Single | v_min |
System.Single | v_max |
System.Byte* | format |
System.Single | power |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igDragFloat4(Byte*, Vector4*, Single, Single, Single, Byte*, Single)

##### Declaration

    public static byte igDragFloat4(byte *label, Vector4*v, float v_speed, float v_min, float v_max, byte *format, float power)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Numerics.Vector4* | v |
System.Single | v_speed |
System.Single | v_min |
System.Single | v_max |
System.Byte* | format |
System.Single | power |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igDragFloatRange2(Byte*, Single*, Single*, Single, Single, Single, Byte*, Byte*, Single)

##### Declaration

    public static byte igDragFloatRange2(byte *label, float *v_current_min, float *v_current_max, float v_speed, float v_min, float v_max, byte *format, byte *format_max, float power)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Single* | v_current_min |
System.Single* | v_current_max |
System.Single | v_speed |
System.Single | v_min |
System.Single | v_max |
System.Byte* | format |
System.Byte* | format_max |
System.Single | power |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igDragInt(Byte*, Int32*, Single, Int32, Int32, Byte*)

##### Declaration

    public static byte igDragInt(byte *label, int *v, float v_speed, int v_min, int v_max, byte *format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Int32* | v |
System.Single | v_speed |
System.Int32 | v_min |
System.Int32 | v_max |
System.Byte* | format |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igDragInt2(Byte*, Int32*, Single, Int32, Int32, Byte*)

##### Declaration

    public static byte igDragInt2(byte *label, int *v, float v_speed, int v_min, int v_max, byte *format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Int32* | v |
System.Single | v_speed |
System.Int32 | v_min |
System.Int32 | v_max |
System.Byte* | format |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igDragInt3(Byte*, Int32*, Single, Int32, Int32, Byte*)

##### Declaration

    public static byte igDragInt3(byte *label, int *v, float v_speed, int v_min, int v_max, byte *format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Int32* | v |
System.Single | v_speed |
System.Int32 | v_min |
System.Int32 | v_max |
System.Byte* | format |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igDragInt4(Byte*, Int32*, Single, Int32, Int32, Byte*)

##### Declaration

    public static byte igDragInt4(byte *label, int *v, float v_speed, int v_min, int v_max, byte *format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Int32* | v |
System.Single | v_speed |
System.Int32 | v_min |
System.Int32 | v_max |
System.Byte* | format |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igDragIntRange2(Byte*, Int32*, Int32*, Single, Int32, Int32, Byte*, Byte*)

##### Declaration

    public static byte igDragIntRange2(byte *label, int *v_current_min, int *v_current_max, float v_speed, int v_min, int v_max, byte *format, byte *format_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Int32* | v_current_min |
System.Int32* | v_current_max |
System.Single | v_speed |
System.Int32 | v_min |
System.Int32 | v_max |
System.Byte* | format |
System.Byte* | format_max |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igDragScalar(Byte*, ImGuiDataType, Void*, Single, Void*, Void*, Byte*, Single)

##### Declaration

    public static byte igDragScalar(byte *label, ImGuiDataType data_type, void *v, float v_speed, void *v_min, void *v_max, byte *format, float power)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
ImGuiDataType | data_type |
System.Void* | v |
System.Single | v_speed |
System.Void* | v_min |
System.Void* | v_max |
System.Byte* | format |
System.Single | power |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igDragScalarN(Byte*, ImGuiDataType, Void*, Int32, Single, Void*, Void*, Byte*, Single)

##### Declaration

    public static byte igDragScalarN(byte *label, ImGuiDataType data_type, void *v, int components, float v_speed, void *v_min, void *v_max, byte *format, float power)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
ImGuiDataType | data_type |
System.Void* | v |
System.Int32 | components |
System.Single | v_speed |
System.Void* | v_min |
System.Void* | v_max |
System.Byte* | format |
System.Single | power |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igDummy(Vector2)

##### Declaration

    public static void igDummy(Vector2 size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | size |

#### igEnd()

##### Declaration

    public static void igEnd()

#### igEndChild()

##### Declaration

    public static void igEndChild()

#### igEndChildFrame()

##### Declaration

    public static void igEndChildFrame()

#### igEndCombo()

##### Declaration

    public static void igEndCombo()

#### igEndDragDropSource()

##### Declaration

    public static void igEndDragDropSource()

#### igEndDragDropTarget()

##### Declaration

    public static void igEndDragDropTarget()

#### igEndFrame()

##### Declaration

    public static void igEndFrame()

#### igEndGroup()

##### Declaration

    public static void igEndGroup()

#### igEndMainMenuBar()

##### Declaration

    public static void igEndMainMenuBar()

#### igEndMenu()

##### Declaration

    public static void igEndMenu()

#### igEndMenuBar()

##### Declaration

    public static void igEndMenuBar()

#### igEndPopup()

##### Declaration

    public static void igEndPopup()

#### igEndTabBar()

##### Declaration

    public static void igEndTabBar()

#### igEndTabItem()

##### Declaration

    public static void igEndTabItem()

#### igEndTooltip()

##### Declaration

    public static void igEndTooltip()

#### igGetBackgroundDrawList()

##### Declaration

    public static ImDrawList*igGetBackgroundDrawList()

##### Returns

Type | Description
--- | ---
ImDrawList* |

#### igGetClipboardText()

##### Declaration

    public static byte *igGetClipboardText()

##### Returns

Type | Description
--- | ---
System.Byte* |

#### igGetColorU32(ImGuiCol, Single)

##### Declaration

    public static uint igGetColorU32(ImGuiCol idx, float alpha_mul)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiCol | idx |
System.Single | alpha_mul |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### igGetColorU32U32(UInt32)

##### Declaration

    public static uint igGetColorU32U32(uint col)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | col |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### igGetColorU32Vec4(Vector4)

##### Declaration

    public static uint igGetColorU32Vec4(Vector4 col)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector4 | col |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### igGetColumnIndex()

##### Declaration

    public static int igGetColumnIndex()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### igGetColumnOffset(Int32)

##### Declaration

    public static float igGetColumnOffset(int column_index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | column_index |

##### Returns

Type | Description
--- | ---
System.Single |

#### igGetColumnsCount()

##### Declaration

    public static int igGetColumnsCount()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### igGetColumnWidth(Int32)

##### Declaration

    public static float igGetColumnWidth(int column_index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | column_index |

##### Returns

Type | Description
--- | ---
System.Single |

#### igGetContentRegionAvail()

##### Declaration

    public static Vector2 igGetContentRegionAvail()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

#### igGetContentRegionMax()

##### Declaration

    public static Vector2 igGetContentRegionMax()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

#### igGetCurrentContext()

##### Declaration

    public static IntPtr igGetCurrentContext()

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### igGetCursorPos()

##### Declaration

    public static Vector2 igGetCursorPos()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

#### igGetCursorPosX()

##### Declaration

    public static float igGetCursorPosX()

##### Returns

Type | Description
--- | ---
System.Single |

#### igGetCursorPosY()

##### Declaration

    public static float igGetCursorPosY()

##### Returns

Type | Description
--- | ---
System.Single |

#### igGetCursorScreenPos()

##### Declaration

    public static Vector2 igGetCursorScreenPos()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

#### igGetCursorStartPos()

##### Declaration

    public static Vector2 igGetCursorStartPos()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

#### igGetDragDropPayload()

##### Declaration

    public static ImGuiPayload*igGetDragDropPayload()

##### Returns

Type | Description
--- | ---
ImGuiPayload* |

#### igGetDrawData()

##### Declaration

    public static ImDrawData*igGetDrawData()

##### Returns

Type | Description
--- | ---
ImDrawData* |

#### igGetDrawListSharedData()

##### Declaration

    public static IntPtr igGetDrawListSharedData()

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### igGetFont()

##### Declaration

    public static ImFont*igGetFont()

##### Returns

Type | Description
--- | ---
ImFont* |

#### igGetFontSize()

##### Declaration

    public static float igGetFontSize()

##### Returns

Type | Description
--- | ---
System.Single |

#### igGetFontTexUvWhitePixel()

##### Declaration

    public static Vector2 igGetFontTexUvWhitePixel()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

#### igGetForegroundDrawList()

##### Declaration

    public static ImDrawList*igGetForegroundDrawList()

##### Returns

Type | Description
--- | ---
ImDrawList* |

#### igGetFrameCount()

##### Declaration

    public static int igGetFrameCount()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### igGetFrameHeight()

##### Declaration

    public static float igGetFrameHeight()

##### Returns

Type | Description
--- | ---
System.Single |

#### igGetFrameHeightWithSpacing()

##### Declaration

    public static float igGetFrameHeightWithSpacing()

##### Returns

Type | Description
--- | ---
System.Single |

#### igGetIDPtr(Void*)

##### Declaration

    public static uint igGetIDPtr(void *ptr_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Void* | ptr_id |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### igGetIDRange(Byte*, Byte*)

##### Declaration

    public static uint igGetIDRange(byte *str_id_begin, byte *str_id_end)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | str_id_begin |
System.Byte* | str_id_end |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### igGetIDStr(Byte*)

##### Declaration

    public static uint igGetIDStr(byte *str_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | str_id |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### igGetIO()

##### Declaration

    public static ImGuiIO*igGetIO()

##### Returns

Type | Description
--- | ---
ImGuiIO* |

#### igGetItemRectMax()

##### Declaration

    public static Vector2 igGetItemRectMax()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

#### igGetItemRectMin()

##### Declaration

    public static Vector2 igGetItemRectMin()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

#### igGetItemRectSize()

##### Declaration

    public static Vector2 igGetItemRectSize()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

#### igGetKeyIndex(ImGuiKey)

##### Declaration

    public static int igGetKeyIndex(ImGuiKey imgui_key)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiKey | imgui_key |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### igGetKeyPressedAmount(Int32, Single, Single)

##### Declaration

    public static int igGetKeyPressedAmount(int key_index, float repeat_delay, float rate)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | key_index |
System.Single | repeat_delay |
System.Single | rate |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### igGetMouseCursor()

##### Declaration

    public static ImGuiMouseCursor igGetMouseCursor()

##### Returns

Type | Description
--- | ---
ImGuiMouseCursor |

#### igGetMouseDragDelta(Int32, Single)

##### Declaration

    public static Vector2 igGetMouseDragDelta(int button, float lock_threshold)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | button |
System.Single | lock_threshold |

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

#### igGetMousePos()

##### Declaration

    public static Vector2 igGetMousePos()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

#### igGetMousePosOnOpeningCurrentPopup()

##### Declaration

    public static Vector2 igGetMousePosOnOpeningCurrentPopup()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

#### igGetScrollMaxX()

##### Declaration

    public static float igGetScrollMaxX()

##### Returns

Type | Description
--- | ---
System.Single |

#### igGetScrollMaxY()

##### Declaration

    public static float igGetScrollMaxY()

##### Returns

Type | Description
--- | ---
System.Single |

#### igGetScrollX()

##### Declaration

    public static float igGetScrollX()

##### Returns

Type | Description
--- | ---
System.Single |

#### igGetScrollY()

##### Declaration

    public static float igGetScrollY()

##### Returns

Type | Description
--- | ---
System.Single |

#### igGetStateStorage()

##### Declaration

    public static ImGuiStorage*igGetStateStorage()

##### Returns

Type | Description
--- | ---
ImGuiStorage* |

#### igGetStyle()

##### Declaration

    public static ImGuiStyle*igGetStyle()

##### Returns

Type | Description
--- | ---
ImGuiStyle* |

#### igGetStyleColorName(ImGuiCol)

##### Declaration

    public static byte *igGetStyleColorName(ImGuiCol idx)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiCol | idx |

##### Returns

Type | Description
--- | ---
System.Byte* |

#### igGetStyleColorVec4(ImGuiCol)

##### Declaration

    public static Vector4*igGetStyleColorVec4(ImGuiCol idx)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiCol | idx |

##### Returns

Type | Description
--- | ---
System.Numerics.Vector4* |

#### igGetTextLineHeight()

##### Declaration

    public static float igGetTextLineHeight()

##### Returns

Type | Description
--- | ---
System.Single |

#### igGetTextLineHeightWithSpacing()

##### Declaration

    public static float igGetTextLineHeightWithSpacing()

##### Returns

Type | Description
--- | ---
System.Single |

#### igGetTime()

##### Declaration

    public static double igGetTime()

##### Returns

Type | Description
--- | ---
System.Double |

#### igGetTreeNodeToLabelSpacing()

##### Declaration

    public static float igGetTreeNodeToLabelSpacing()

##### Returns

Type | Description
--- | ---
System.Single |

#### igGetVersion()

##### Declaration

    public static byte *igGetVersion()

##### Returns

Type | Description
--- | ---
System.Byte* |

#### igGetWindowContentRegionMax()

##### Declaration

    public static Vector2 igGetWindowContentRegionMax()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

#### igGetWindowContentRegionMin()

##### Declaration

    public static Vector2 igGetWindowContentRegionMin()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

#### igGetWindowContentRegionWidth()

##### Declaration

    public static float igGetWindowContentRegionWidth()

##### Returns

Type | Description
--- | ---
System.Single |

#### igGetWindowDrawList()

##### Declaration

    public static ImDrawList*igGetWindowDrawList()

##### Returns

Type | Description
--- | ---
ImDrawList* |

#### igGetWindowHeight()

##### Declaration

    public static float igGetWindowHeight()

##### Returns

Type | Description
--- | ---
System.Single |

#### igGetWindowPos()

##### Declaration

    public static Vector2 igGetWindowPos()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

#### igGetWindowSize()

##### Declaration

    public static Vector2 igGetWindowSize()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

#### igGetWindowWidth()

##### Declaration

    public static float igGetWindowWidth()

##### Returns

Type | Description
--- | ---
System.Single |

#### igImage(IntPtr, Vector2, Vector2, Vector2, Vector4, Vector4)

##### Declaration

    public static void igImage(IntPtr user_texture_id, Vector2 size, Vector2 uv0, Vector2 uv1, Vector4 tint_col, Vector4 border_col)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | user_texture_id |
System.Numerics.Vector2 | size |
System.Numerics.Vector2 | uv0 |
System.Numerics.Vector2 | uv1 |
System.Numerics.Vector4 | tint_col |
System.Numerics.Vector4 | border_col |

#### igImageButton(IntPtr, Vector2, Vector2, Vector2, Int32, Vector4, Vector4)

##### Declaration

    public static byte igImageButton(IntPtr user_texture_id, Vector2 size, Vector2 uv0, Vector2 uv1, int frame_padding, Vector4 bg_col, Vector4 tint_col)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | user_texture_id |
System.Numerics.Vector2 | size |
System.Numerics.Vector2 | uv0 |
System.Numerics.Vector2 | uv1 |
System.Int32 | frame_padding |
System.Numerics.Vector4 | bg_col |
System.Numerics.Vector4 | tint_col |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igIndent(Single)

##### Declaration

    public static void igIndent(float indent_w)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | indent_w |

#### igInputDouble(Byte*, Double*, Double, Double, Byte*, ImGuiInputTextFlags)

##### Declaration

    public static byte igInputDouble(byte *label, double *v, double step, double step_fast, byte *format, ImGuiInputTextFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Double* | v |
System.Double | step |
System.Double | step_fast |
System.Byte* | format |
ImGuiInputTextFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igInputFloat(Byte*, Single*, Single, Single, Byte*, ImGuiInputTextFlags)

##### Declaration

    public static byte igInputFloat(byte *label, float *v, float step, float step_fast, byte *format, ImGuiInputTextFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Single* | v |
System.Single | step |
System.Single | step_fast |
System.Byte* | format |
ImGuiInputTextFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igInputFloat2(Byte*, Vector2*, Byte*, ImGuiInputTextFlags)

##### Declaration

    public static byte igInputFloat2(byte *label, Vector2*v, byte *format, ImGuiInputTextFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Numerics.Vector2* | v |
System.Byte* | format |
ImGuiInputTextFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igInputFloat3(Byte*, Vector3*, Byte*, ImGuiInputTextFlags)

##### Declaration

    public static byte igInputFloat3(byte *label, Vector3*v, byte *format, ImGuiInputTextFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Numerics.Vector3* | v |
System.Byte* | format |
ImGuiInputTextFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igInputFloat4(Byte*, Vector4*, Byte*, ImGuiInputTextFlags)

##### Declaration

    public static byte igInputFloat4(byte *label, Vector4*v, byte *format, ImGuiInputTextFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Numerics.Vector4* | v |
System.Byte* | format |
ImGuiInputTextFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igInputInt(Byte*, Int32*, Int32, Int32, ImGuiInputTextFlags)

##### Declaration

    public static byte igInputInt(byte *label, int *v, int step, int step_fast, ImGuiInputTextFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Int32* | v |
System.Int32 | step |
System.Int32 | step_fast |
ImGuiInputTextFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igInputInt2(Byte*, Int32*, ImGuiInputTextFlags)

##### Declaration

    public static byte igInputInt2(byte *label, int *v, ImGuiInputTextFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Int32* | v |
ImGuiInputTextFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igInputInt3(Byte*, Int32*, ImGuiInputTextFlags)

##### Declaration

    public static byte igInputInt3(byte *label, int *v, ImGuiInputTextFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Int32* | v |
ImGuiInputTextFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igInputInt4(Byte*, Int32*, ImGuiInputTextFlags)

##### Declaration

    public static byte igInputInt4(byte *label, int *v, ImGuiInputTextFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Int32* | v |
ImGuiInputTextFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igInputScalar(Byte*, ImGuiDataType, Void*, Void*, Void*, Byte*, ImGuiInputTextFlags)

##### Declaration

    public static byte igInputScalar(byte *label, ImGuiDataType data_type, void *v, void *step, void *step_fast, byte *format, ImGuiInputTextFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
ImGuiDataType | data_type |
System.Void* | v |
System.Void* | step |
System.Void* | step_fast |
System.Byte* | format |
ImGuiInputTextFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igInputScalarN(Byte*, ImGuiDataType, Void*, Int32, Void*, Void*, Byte*, ImGuiInputTextFlags)

##### Declaration

    public static byte igInputScalarN(byte *label, ImGuiDataType data_type, void *v, int components, void *step, void *step_fast, byte *format, ImGuiInputTextFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
ImGuiDataType | data_type |
System.Void* | v |
System.Int32 | components |
System.Void* | step |
System.Void* | step_fast |
System.Byte* | format |
ImGuiInputTextFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igInputText(Byte*, Byte*, UInt32, ImGuiInputTextFlags, ImGuiInputTextCallback, Void*)

##### Declaration

    public static byte igInputText(byte *label, byte *buf, uint buf_size, ImGuiInputTextFlags flags, ImGuiInputTextCallback callback, void *user_data)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Byte* | buf |
System.UInt32 | buf_size |
ImGuiInputTextFlags | flags |
ImGuiInputTextCallback | callback |
System.Void* | user_data |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igInputTextMultiline(Byte*, Byte*, UInt32, Vector2, ImGuiInputTextFlags, ImGuiInputTextCallback, Void*)

##### Declaration

    public static byte igInputTextMultiline(byte *label, byte *buf, uint buf_size, Vector2 size, ImGuiInputTextFlags flags, ImGuiInputTextCallback callback, void *user_data)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Byte* | buf |
System.UInt32 | buf_size |
System.Numerics.Vector2 | size |
ImGuiInputTextFlags | flags |
ImGuiInputTextCallback | callback |
System.Void* | user_data |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igInputTextWithHint(Byte*, Byte*, Byte*, UInt32, ImGuiInputTextFlags, ImGuiInputTextCallback, Void*)

##### Declaration

    public static byte igInputTextWithHint(byte *label, byte *hint, byte *buf, uint buf_size, ImGuiInputTextFlags flags, ImGuiInputTextCallback callback, void *user_data)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Byte* | hint |
System.Byte* | buf |
System.UInt32 | buf_size |
ImGuiInputTextFlags | flags |
ImGuiInputTextCallback | callback |
System.Void* | user_data |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igInvisibleButton(Byte*, Vector2)

##### Declaration

    public static byte igInvisibleButton(byte *str_id, Vector2 size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | str_id |
System.Numerics.Vector2 | size |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igIsAnyItemActive()

##### Declaration

    public static byte igIsAnyItemActive()

##### Returns

Type | Description
--- | ---
System.Byte |

#### igIsAnyItemFocused()

##### Declaration

    public static byte igIsAnyItemFocused()

##### Returns

Type | Description
--- | ---
System.Byte |

#### igIsAnyItemHovered()

##### Declaration

    public static byte igIsAnyItemHovered()

##### Returns

Type | Description
--- | ---
System.Byte |

#### igIsAnyMouseDown()

##### Declaration

    public static byte igIsAnyMouseDown()

##### Returns

Type | Description
--- | ---
System.Byte |

#### igIsItemActivated()

##### Declaration

    public static byte igIsItemActivated()

##### Returns

Type | Description
--- | ---
System.Byte |

#### igIsItemActive()

##### Declaration

    public static byte igIsItemActive()

##### Returns

Type | Description
--- | ---
System.Byte |

#### igIsItemClicked(Int32)

##### Declaration

    public static byte igIsItemClicked(int mouse_button)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | mouse_button |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igIsItemDeactivated()

##### Declaration

    public static byte igIsItemDeactivated()

##### Returns

Type | Description
--- | ---
System.Byte |

#### igIsItemDeactivatedAfterEdit()

##### Declaration

    public static byte igIsItemDeactivatedAfterEdit()

##### Returns

Type | Description
--- | ---
System.Byte |

#### igIsItemEdited()

##### Declaration

    public static byte igIsItemEdited()

##### Returns

Type | Description
--- | ---
System.Byte |

#### igIsItemFocused()

##### Declaration

    public static byte igIsItemFocused()

##### Returns

Type | Description
--- | ---
System.Byte |

#### igIsItemHovered(ImGuiHoveredFlags)

##### Declaration

    public static byte igIsItemHovered(ImGuiHoveredFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiHoveredFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igIsItemVisible()

##### Declaration

    public static byte igIsItemVisible()

##### Returns

Type | Description
--- | ---
System.Byte |

#### igIsKeyDown(Int32)

##### Declaration

    public static byte igIsKeyDown(int user_key_index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | user_key_index |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igIsKeyPressed(Int32, Byte)

##### Declaration

    public static byte igIsKeyPressed(int user_key_index, byte repeat)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | user_key_index |
System.Byte | repeat |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igIsKeyReleased(Int32)

##### Declaration

    public static byte igIsKeyReleased(int user_key_index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | user_key_index |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igIsMouseClicked(Int32, Byte)

##### Declaration

    public static byte igIsMouseClicked(int button, byte repeat)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | button |
System.Byte | repeat |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igIsMouseDoubleClicked(Int32)

##### Declaration

    public static byte igIsMouseDoubleClicked(int button)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | button |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igIsMouseDown(Int32)

##### Declaration

    public static byte igIsMouseDown(int button)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | button |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igIsMouseDragging(Int32, Single)

##### Declaration

    public static byte igIsMouseDragging(int button, float lock_threshold)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | button |
System.Single | lock_threshold |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igIsMouseHoveringRect(Vector2, Vector2, Byte)

##### Declaration

    public static byte igIsMouseHoveringRect(Vector2 r_min, Vector2 r_max, byte clip)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | r_min |
System.Numerics.Vector2 | r_max |
System.Byte | clip |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igIsMousePosValid(Vector2*)

##### Declaration

    public static byte igIsMousePosValid(Vector2*mouse_pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2* | mouse_pos |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igIsMouseReleased(Int32)

##### Declaration

    public static byte igIsMouseReleased(int button)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | button |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igIsPopupOpen(Byte*)

##### Declaration

    public static byte igIsPopupOpen(byte *str_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | str_id |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igIsRectVisible(Vector2)

##### Declaration

    public static byte igIsRectVisible(Vector2 size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | size |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igIsRectVisibleVec2(Vector2, Vector2)

##### Declaration

    public static byte igIsRectVisibleVec2(Vector2 rect_min, Vector2 rect_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | rect_min |
System.Numerics.Vector2 | rect_max |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igIsWindowAppearing()

##### Declaration

    public static byte igIsWindowAppearing()

##### Returns

Type | Description
--- | ---
System.Byte |

#### igIsWindowCollapsed()

##### Declaration

    public static byte igIsWindowCollapsed()

##### Returns

Type | Description
--- | ---
System.Byte |

#### igIsWindowFocused(ImGuiFocusedFlags)

##### Declaration

    public static byte igIsWindowFocused(ImGuiFocusedFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiFocusedFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igIsWindowHovered(ImGuiHoveredFlags)

##### Declaration

    public static byte igIsWindowHovered(ImGuiHoveredFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiHoveredFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igLabelText(Byte*, Byte*)

##### Declaration

    public static void igLabelText(byte *label, byte *fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Byte* | fmt |

#### igListBoxFooter()

##### Declaration

    public static void igListBoxFooter()

#### igListBoxHeaderInt(Byte*, Int32, Int32)

##### Declaration

    public static byte igListBoxHeaderInt(byte *label, int items_count, int height_in_items)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Int32 | items_count |
System.Int32 | height_in_items |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igListBoxHeaderVec2(Byte*, Vector2)

##### Declaration

    public static byte igListBoxHeaderVec2(byte *label, Vector2 size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Numerics.Vector2 | size |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igListBoxStr_arr(Byte*, Int32*, Byte**, Int32, Int32)

##### Declaration

    public static byte igListBoxStr_arr(byte *label, int *current_item, byte **items, int items_count, int height_in_items)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Int32* | current_item |
System.Byte** | items |
System.Int32 | items_count |
System.Int32 | height_in_items |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igLoadIniSettingsFromDisk(Byte*)

##### Declaration

    public static void igLoadIniSettingsFromDisk(byte *ini_filename)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | ini_filename |

#### igLoadIniSettingsFromMemory(Byte*, UInt32)

##### Declaration

    public static void igLoadIniSettingsFromMemory(byte *ini_data, uint ini_size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | ini_data |
System.UInt32 | ini_size |

#### igLogButtons()

##### Declaration

    public static void igLogButtons()

#### igLogFinish()

##### Declaration

    public static void igLogFinish()

#### igLogText(Byte*)

##### Declaration

    public static void igLogText(byte *fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | fmt |

#### igLogToClipboard(Int32)

##### Declaration

    public static void igLogToClipboard(int auto_open_depth)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | auto_open_depth |

#### igLogToFile(Int32, Byte*)

##### Declaration

    public static void igLogToFile(int auto_open_depth, byte *filename)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | auto_open_depth |
System.Byte* | filename |

#### igLogToTTY(Int32)

##### Declaration

    public static void igLogToTTY(int auto_open_depth)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | auto_open_depth |

#### igMemAlloc(UInt32)

##### Declaration

    public static void *igMemAlloc(uint size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | size |

##### Returns

Type | Description
--- | ---
System.Void* |

#### igMemFree(Void*)

##### Declaration

    public static void igMemFree(void *ptr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Void* | ptr |

#### igMenuItemBool(Byte*, Byte*, Byte, Byte)

##### Declaration

    public static byte igMenuItemBool(byte *label, byte *shortcut, byte selected, byte enabled)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Byte* | shortcut |
System.Byte | selected |
System.Byte | enabled |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igMenuItemBoolPtr(Byte*, Byte*, Byte*, Byte)

##### Declaration

    public static byte igMenuItemBoolPtr(byte *label, byte *shortcut, byte *p_selected, byte enabled)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Byte* | shortcut |
System.Byte* | p_selected |
System.Byte | enabled |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igNewFrame()

##### Declaration

    public static void igNewFrame()

#### igNewLine()

##### Declaration

    public static void igNewLine()

#### igNextColumn()

##### Declaration

    public static void igNextColumn()

#### igOpenPopup(Byte*)

##### Declaration

    public static void igOpenPopup(byte *str_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | str_id |

#### igOpenPopupOnItemClick(Byte*, Int32)

##### Declaration

    public static byte igOpenPopupOnItemClick(byte *str_id, int mouse_button)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | str_id |
System.Int32 | mouse_button |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igPlotHistogramFloatPtr(Byte*, Single*, Int32, Int32, Byte*, Single, Single, Vector2, Int32)

##### Declaration

    public static void igPlotHistogramFloatPtr(byte *label, float *values, int values_count, int values_offset, byte *overlay_text, float scale_min, float scale_max, Vector2 graph_size, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Single* | values |
System.Int32 | values_count |
System.Int32 | values_offset |
System.Byte* | overlay_text |
System.Single | scale_min |
System.Single | scale_max |
System.Numerics.Vector2 | graph_size |
System.Int32 | stride |

#### igPlotLines(Byte*, Single*, Int32, Int32, Byte*, Single, Single, Vector2, Int32)

##### Declaration

    public static void igPlotLines(byte *label, float *values, int values_count, int values_offset, byte *overlay_text, float scale_min, float scale_max, Vector2 graph_size, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Single* | values |
System.Int32 | values_count |
System.Int32 | values_offset |
System.Byte* | overlay_text |
System.Single | scale_min |
System.Single | scale_max |
System.Numerics.Vector2 | graph_size |
System.Int32 | stride |

#### igPopAllowKeyboardFocus()

##### Declaration

    public static void igPopAllowKeyboardFocus()

#### igPopButtonRepeat()

##### Declaration

    public static void igPopButtonRepeat()

#### igPopClipRect()

##### Declaration

    public static void igPopClipRect()

#### igPopFont()

##### Declaration

    public static void igPopFont()

#### igPopID()

##### Declaration

    public static void igPopID()

#### igPopItemWidth()

##### Declaration

    public static void igPopItemWidth()

#### igPopStyleColor(Int32)

##### Declaration

    public static void igPopStyleColor(int count)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | count |

#### igPopStyleVar(Int32)

##### Declaration

    public static void igPopStyleVar(int count)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | count |

#### igPopTextWrapPos()

##### Declaration

    public static void igPopTextWrapPos()

#### igProgressBar(Single, Vector2, Byte*)

##### Declaration

    public static void igProgressBar(float fraction, Vector2 size_arg, byte *overlay)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | fraction |
System.Numerics.Vector2 | size_arg |
System.Byte* | overlay |

#### igPushAllowKeyboardFocus(Byte)

##### Declaration

    public static void igPushAllowKeyboardFocus(byte allow_keyboard_focus)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte | allow_keyboard_focus |

#### igPushButtonRepeat(Byte)

##### Declaration

    public static void igPushButtonRepeat(byte repeat)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte | repeat |

#### igPushClipRect(Vector2, Vector2, Byte)

##### Declaration

    public static void igPushClipRect(Vector2 clip_rect_min, Vector2 clip_rect_max, byte intersect_with_current_clip_rect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | clip_rect_min |
System.Numerics.Vector2 | clip_rect_max |
System.Byte | intersect_with_current_clip_rect |

#### igPushFont(ImFont*)

##### Declaration

    public static void igPushFont(ImFont*font)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFont* | font |

#### igPushIDInt(Int32)

##### Declaration

    public static void igPushIDInt(int int_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | int_id |

#### igPushIDPtr(Void*)

##### Declaration

    public static void igPushIDPtr(void *ptr_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Void* | ptr_id |

#### igPushIDRange(Byte*, Byte*)

##### Declaration

    public static void igPushIDRange(byte *str_id_begin, byte *str_id_end)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | str_id_begin |
System.Byte* | str_id_end |

#### igPushIDStr(Byte*)

##### Declaration

    public static void igPushIDStr(byte *str_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | str_id |

#### igPushItemWidth(Single)

##### Declaration

    public static void igPushItemWidth(float item_width)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | item_width |

#### igPushStyleColor(ImGuiCol, Vector4)

##### Declaration

    public static void igPushStyleColor(ImGuiCol idx, Vector4 col)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiCol | idx |
System.Numerics.Vector4 | col |

#### igPushStyleColorU32(ImGuiCol, UInt32)

##### Declaration

    public static void igPushStyleColorU32(ImGuiCol idx, uint col)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiCol | idx |
System.UInt32 | col |

#### igPushStyleVarFloat(ImGuiStyleVar, Single)

##### Declaration

    public static void igPushStyleVarFloat(ImGuiStyleVar idx, float val)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStyleVar | idx |
System.Single | val |

#### igPushStyleVarVec2(ImGuiStyleVar, Vector2)

##### Declaration

    public static void igPushStyleVarVec2(ImGuiStyleVar idx, Vector2 val)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStyleVar | idx |
System.Numerics.Vector2 | val |

#### igPushTextWrapPos(Single)

##### Declaration

    public static void igPushTextWrapPos(float wrap_local_pos_x)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | wrap_local_pos_x |

#### igRadioButtonBool(Byte*, Byte)

##### Declaration

    public static byte igRadioButtonBool(byte *label, byte active)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Byte | active |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igRadioButtonIntPtr(Byte*, Int32*, Int32)

##### Declaration

    public static byte igRadioButtonIntPtr(byte *label, int *v, int v_button)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Int32* | v |
System.Int32 | v_button |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igRender()

##### Declaration

    public static void igRender()

#### igResetMouseDragDelta(Int32)

##### Declaration

    public static void igResetMouseDragDelta(int button)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | button |

#### igSameLine(Single, Single)

##### Declaration

    public static void igSameLine(float offset_from_start_x, float spacing)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | offset_from_start_x |
System.Single | spacing |

#### igSaveIniSettingsToDisk(Byte*)

##### Declaration

    public static void igSaveIniSettingsToDisk(byte *ini_filename)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | ini_filename |

#### igSaveIniSettingsToMemory(UInt32*)

##### Declaration

    public static byte *igSaveIniSettingsToMemory(uint *out_ini_size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32* | out_ini_size |

##### Returns

Type | Description
--- | ---
System.Byte* |

#### igSelectable(Byte*, Byte, ImGuiSelectableFlags, Vector2)

##### Declaration

    public static byte igSelectable(byte *label, byte selected, ImGuiSelectableFlags flags, Vector2 size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Byte | selected |
ImGuiSelectableFlags | flags |
System.Numerics.Vector2 | size |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igSelectableBoolPtr(Byte*, Byte*, ImGuiSelectableFlags, Vector2)

##### Declaration

    public static byte igSelectableBoolPtr(byte *label, byte *p_selected, ImGuiSelectableFlags flags, Vector2 size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Byte* | p_selected |
ImGuiSelectableFlags | flags |
System.Numerics.Vector2 | size |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igSeparator()

##### Declaration

    public static void igSeparator()

#### igSetClipboardText(Byte*)

##### Declaration

    public static void igSetClipboardText(byte *text)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | text |

#### igSetColorEditOptions(ImGuiColorEditFlags)

##### Declaration

    public static void igSetColorEditOptions(ImGuiColorEditFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiColorEditFlags | flags |

#### igSetColumnOffset(Int32, Single)

##### Declaration

    public static void igSetColumnOffset(int column_index, float offset_x)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | column_index |
System.Single | offset_x |

#### igSetColumnWidth(Int32, Single)

##### Declaration

    public static void igSetColumnWidth(int column_index, float width)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | column_index |
System.Single | width |

#### igSetCurrentContext(IntPtr)

##### Declaration

    public static void igSetCurrentContext(IntPtr ctx)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | ctx |

#### igSetCursorPos(Vector2)

##### Declaration

    public static void igSetCursorPos(Vector2 local_pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | local_pos |

#### igSetCursorPosX(Single)

##### Declaration

    public static void igSetCursorPosX(float local_x)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | local_x |

#### igSetCursorPosY(Single)

##### Declaration

    public static void igSetCursorPosY(float local_y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | local_y |

#### igSetCursorScreenPos(Vector2)

##### Declaration

    public static void igSetCursorScreenPos(Vector2 pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | pos |

#### igSetDragDropPayload(Byte*, Void*, UInt32, ImGuiCond)

##### Declaration

    public static byte igSetDragDropPayload(byte *type, void *data, uint sz, ImGuiCond cond)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | type |
System.Void* | data |
System.UInt32 | sz |
ImGuiCond | cond |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igSetItemAllowOverlap()

##### Declaration

    public static void igSetItemAllowOverlap()

#### igSetItemDefaultFocus()

##### Declaration

    public static void igSetItemDefaultFocus()

#### igSetKeyboardFocusHere(Int32)

##### Declaration

    public static void igSetKeyboardFocusHere(int offset)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | offset |

#### igSetMouseCursor(ImGuiMouseCursor)

##### Declaration

    public static void igSetMouseCursor(ImGuiMouseCursor type)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiMouseCursor | type |

#### igSetNextItemOpen(Byte, ImGuiCond)

##### Declaration

    public static void igSetNextItemOpen(byte is_open, ImGuiCond cond)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte | is_open |
ImGuiCond | cond |

#### igSetNextItemWidth(Single)

##### Declaration

    public static void igSetNextItemWidth(float item_width)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | item_width |

#### igSetNextWindowBgAlpha(Single)

##### Declaration

    public static void igSetNextWindowBgAlpha(float alpha)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | alpha |

#### igSetNextWindowCollapsed(Byte, ImGuiCond)

##### Declaration

    public static void igSetNextWindowCollapsed(byte collapsed, ImGuiCond cond)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte | collapsed |
ImGuiCond | cond |

#### igSetNextWindowContentSize(Vector2)

##### Declaration

    public static void igSetNextWindowContentSize(Vector2 size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | size |

#### igSetNextWindowFocus()

##### Declaration

    public static void igSetNextWindowFocus()

#### igSetNextWindowPos(Vector2, ImGuiCond, Vector2)

##### Declaration

    public static void igSetNextWindowPos(Vector2 pos, ImGuiCond cond, Vector2 pivot)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | pos |
ImGuiCond | cond |
System.Numerics.Vector2 | pivot |

#### igSetNextWindowSize(Vector2, ImGuiCond)

##### Declaration

    public static void igSetNextWindowSize(Vector2 size, ImGuiCond cond)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | size |
ImGuiCond | cond |

#### igSetNextWindowSizeConstraints(Vector2, Vector2, ImGuiSizeCallback, Void*)

##### Declaration

    public static void igSetNextWindowSizeConstraints(Vector2 size_min, Vector2 size_max, ImGuiSizeCallback custom_callback, void *custom_callback_data)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | size_min |
System.Numerics.Vector2 | size_max |
ImGuiSizeCallback | custom_callback |
System.Void* | custom_callback_data |

#### igSetScrollFromPosX(Single, Single)

##### Declaration

    public static void igSetScrollFromPosX(float local_x, float center_x_ratio)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | local_x |
System.Single | center_x_ratio |

#### igSetScrollFromPosY(Single, Single)

##### Declaration

    public static void igSetScrollFromPosY(float local_y, float center_y_ratio)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | local_y |
System.Single | center_y_ratio |

#### igSetScrollHereX(Single)

##### Declaration

    public static void igSetScrollHereX(float center_x_ratio)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | center_x_ratio |

#### igSetScrollHereY(Single)

##### Declaration

    public static void igSetScrollHereY(float center_y_ratio)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | center_y_ratio |

#### igSetScrollX(Single)

##### Declaration

    public static void igSetScrollX(float scroll_x)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | scroll_x |

#### igSetScrollY(Single)

##### Declaration

    public static void igSetScrollY(float scroll_y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | scroll_y |

#### igSetStateStorage(ImGuiStorage*)

##### Declaration

    public static void igSetStateStorage(ImGuiStorage*storage)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStorage* | storage |

#### igSetTabItemClosed(Byte*)

##### Declaration

    public static void igSetTabItemClosed(byte *tab_or_docked_window_label)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | tab_or_docked_window_label |

#### igSetTooltip(Byte*)

##### Declaration

    public static void igSetTooltip(byte *fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | fmt |

#### igSetWindowCollapsedBool(Byte, ImGuiCond)

##### Declaration

    public static void igSetWindowCollapsedBool(byte collapsed, ImGuiCond cond)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte | collapsed |
ImGuiCond | cond |

#### igSetWindowCollapsedStr(Byte*, Byte, ImGuiCond)

##### Declaration

    public static void igSetWindowCollapsedStr(byte *name, byte collapsed, ImGuiCond cond)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | name |
System.Byte | collapsed |
ImGuiCond | cond |

#### igSetWindowFocus()

##### Declaration

    public static void igSetWindowFocus()

#### igSetWindowFocusStr(Byte*)

##### Declaration

    public static void igSetWindowFocusStr(byte *name)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | name |

#### igSetWindowFontScale(Single)

##### Declaration

    public static void igSetWindowFontScale(float scale)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | scale |

#### igSetWindowPosStr(Byte*, Vector2, ImGuiCond)

##### Declaration

    public static void igSetWindowPosStr(byte *name, Vector2 pos, ImGuiCond cond)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | name |
System.Numerics.Vector2 | pos |
ImGuiCond | cond |

#### igSetWindowPosVec2(Vector2, ImGuiCond)

##### Declaration

    public static void igSetWindowPosVec2(Vector2 pos, ImGuiCond cond)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | pos |
ImGuiCond | cond |

#### igSetWindowSizeStr(Byte*, Vector2, ImGuiCond)

##### Declaration

    public static void igSetWindowSizeStr(byte *name, Vector2 size, ImGuiCond cond)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | name |
System.Numerics.Vector2 | size |
ImGuiCond | cond |

#### igSetWindowSizeVec2(Vector2, ImGuiCond)

##### Declaration

    public static void igSetWindowSizeVec2(Vector2 size, ImGuiCond cond)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | size |
ImGuiCond | cond |

#### igShowAboutWindow(Byte*)

##### Declaration

    public static void igShowAboutWindow(byte *p_open)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | p_open |

#### igShowDemoWindow(Byte*)

##### Declaration

    public static void igShowDemoWindow(byte *p_open)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | p_open |

#### igShowFontSelector(Byte*)

##### Declaration

    public static void igShowFontSelector(byte *label)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |

#### igShowMetricsWindow(Byte*)

##### Declaration

    public static void igShowMetricsWindow(byte *p_open)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | p_open |

#### igShowStyleEditor(ImGuiStyle*)

##### Declaration

    public static void igShowStyleEditor(ImGuiStyle*ref)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStyle* | ref |

#### igShowStyleSelector(Byte*)

##### Declaration

    public static byte igShowStyleSelector(byte *label)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igShowUserGuide()

##### Declaration

    public static void igShowUserGuide()

#### igSliderAngle(Byte*, Single*, Single, Single, Byte*)

##### Declaration

    public static byte igSliderAngle(byte *label, float *v_rad, float v_degrees_min, float v_degrees_max, byte *format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Single* | v_rad |
System.Single | v_degrees_min |
System.Single | v_degrees_max |
System.Byte* | format |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igSliderFloat(Byte*, Single*, Single, Single, Byte*, Single)

##### Declaration

    public static byte igSliderFloat(byte *label, float *v, float v_min, float v_max, byte *format, float power)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Single* | v |
System.Single | v_min |
System.Single | v_max |
System.Byte* | format |
System.Single | power |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igSliderFloat2(Byte*, Vector2*, Single, Single, Byte*, Single)

##### Declaration

    public static byte igSliderFloat2(byte *label, Vector2*v, float v_min, float v_max, byte *format, float power)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Numerics.Vector2* | v |
System.Single | v_min |
System.Single | v_max |
System.Byte* | format |
System.Single | power |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igSliderFloat3(Byte*, Vector3*, Single, Single, Byte*, Single)

##### Declaration

    public static byte igSliderFloat3(byte *label, Vector3*v, float v_min, float v_max, byte *format, float power)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Numerics.Vector3* | v |
System.Single | v_min |
System.Single | v_max |
System.Byte* | format |
System.Single | power |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igSliderFloat4(Byte*, Vector4*, Single, Single, Byte*, Single)

##### Declaration

    public static byte igSliderFloat4(byte *label, Vector4*v, float v_min, float v_max, byte *format, float power)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Numerics.Vector4* | v |
System.Single | v_min |
System.Single | v_max |
System.Byte* | format |
System.Single | power |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igSliderInt(Byte*, Int32*, Int32, Int32, Byte*)

##### Declaration

    public static byte igSliderInt(byte *label, int *v, int v_min, int v_max, byte *format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Int32* | v |
System.Int32 | v_min |
System.Int32 | v_max |
System.Byte* | format |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igSliderInt2(Byte*, Int32*, Int32, Int32, Byte*)

##### Declaration

    public static byte igSliderInt2(byte *label, int *v, int v_min, int v_max, byte *format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Int32* | v |
System.Int32 | v_min |
System.Int32 | v_max |
System.Byte* | format |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igSliderInt3(Byte*, Int32*, Int32, Int32, Byte*)

##### Declaration

    public static byte igSliderInt3(byte *label, int *v, int v_min, int v_max, byte *format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Int32* | v |
System.Int32 | v_min |
System.Int32 | v_max |
System.Byte* | format |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igSliderInt4(Byte*, Int32*, Int32, Int32, Byte*)

##### Declaration

    public static byte igSliderInt4(byte *label, int *v, int v_min, int v_max, byte *format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Int32* | v |
System.Int32 | v_min |
System.Int32 | v_max |
System.Byte* | format |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igSliderScalar(Byte*, ImGuiDataType, Void*, Void*, Void*, Byte*, Single)

##### Declaration

    public static byte igSliderScalar(byte *label, ImGuiDataType data_type, void *v, void *v_min, void *v_max, byte *format, float power)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
ImGuiDataType | data_type |
System.Void* | v |
System.Void* | v_min |
System.Void* | v_max |
System.Byte* | format |
System.Single | power |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igSliderScalarN(Byte*, ImGuiDataType, Void*, Int32, Void*, Void*, Byte*, Single)

##### Declaration

    public static byte igSliderScalarN(byte *label, ImGuiDataType data_type, void *v, int components, void *v_min, void *v_max, byte *format, float power)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
ImGuiDataType | data_type |
System.Void* | v |
System.Int32 | components |
System.Void* | v_min |
System.Void* | v_max |
System.Byte* | format |
System.Single | power |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igSmallButton(Byte*)

##### Declaration

    public static byte igSmallButton(byte *label)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igSpacing()

##### Declaration

    public static void igSpacing()

#### igStyleColorsClassic(ImGuiStyle*)

##### Declaration

    public static void igStyleColorsClassic(ImGuiStyle*dst)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStyle* | dst |

#### igStyleColorsDark(ImGuiStyle*)

##### Declaration

    public static void igStyleColorsDark(ImGuiStyle*dst)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStyle* | dst |

#### igStyleColorsLight(ImGuiStyle*)

##### Declaration

    public static void igStyleColorsLight(ImGuiStyle*dst)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStyle* | dst |

#### igText(Byte*)

##### Declaration

    public static void igText(byte *fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | fmt |

#### igTextColored(Vector4, Byte*)

##### Declaration

    public static void igTextColored(Vector4 col, byte *fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector4 | col |
System.Byte* | fmt |

#### igTextDisabled(Byte*)

##### Declaration

    public static void igTextDisabled(byte *fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | fmt |

#### igTextUnformatted(Byte*, Byte*)

##### Declaration

    public static void igTextUnformatted(byte *text, byte *text_end)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | text |
System.Byte* | text_end |

#### igTextWrapped(Byte*)

##### Declaration

    public static void igTextWrapped(byte *fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | fmt |

#### igTreeNodeExPtr(Void*, ImGuiTreeNodeFlags, Byte*)

##### Declaration

    public static byte igTreeNodeExPtr(void *ptr_id, ImGuiTreeNodeFlags flags, byte *fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Void* | ptr_id |
ImGuiTreeNodeFlags | flags |
System.Byte* | fmt |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igTreeNodeExStr(Byte*, ImGuiTreeNodeFlags)

##### Declaration

    public static byte igTreeNodeExStr(byte *label, ImGuiTreeNodeFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
ImGuiTreeNodeFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igTreeNodeExStrStr(Byte*, ImGuiTreeNodeFlags, Byte*)

##### Declaration

    public static byte igTreeNodeExStrStr(byte *str_id, ImGuiTreeNodeFlags flags, byte *fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | str_id |
ImGuiTreeNodeFlags | flags |
System.Byte* | fmt |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igTreeNodePtr(Void*, Byte*)

##### Declaration

    public static byte igTreeNodePtr(void *ptr_id, byte *fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Void* | ptr_id |
System.Byte* | fmt |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igTreeNodeStr(Byte*)

##### Declaration

    public static byte igTreeNodeStr(byte *label)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igTreeNodeStrStr(Byte*, Byte*)

##### Declaration

    public static byte igTreeNodeStrStr(byte *str_id, byte *fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | str_id |
System.Byte* | fmt |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igTreePop()

##### Declaration

    public static void igTreePop()

#### igTreePushPtr(Void*)

##### Declaration

    public static void igTreePushPtr(void *ptr_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Void* | ptr_id |

#### igTreePushStr(Byte*)

##### Declaration

    public static void igTreePushStr(byte *str_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | str_id |

#### igUnindent(Single)

##### Declaration

    public static void igUnindent(float indent_w)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | indent_w |

#### igValueBool(Byte*, Byte)

##### Declaration

    public static void igValueBool(byte *prefix, byte b)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | prefix |
System.Byte | b |

#### igValueFloat(Byte*, Single, Byte*)

##### Declaration

    public static void igValueFloat(byte *prefix, float v, byte *float_format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | prefix |
System.Single | v |
System.Byte* | float_format |

#### igValueInt(Byte*, Int32)

##### Declaration

    public static void igValueInt(byte *prefix, int v)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | prefix |
System.Int32 | v |

#### igValueUint(Byte*, UInt32)

##### Declaration

    public static void igValueUint(byte *prefix, uint v)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | prefix |
System.UInt32 | v |

#### igVSliderFloat(Byte*, Vector2, Single*, Single, Single, Byte*, Single)

##### Declaration

    public static byte igVSliderFloat(byte *label, Vector2 size, float *v, float v_min, float v_max, byte *format, float power)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Numerics.Vector2 | size |
System.Single* | v |
System.Single | v_min |
System.Single | v_max |
System.Byte* | format |
System.Single | power |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igVSliderInt(Byte*, Vector2, Int32*, Int32, Int32, Byte*)

##### Declaration

    public static byte igVSliderInt(byte *label, Vector2 size, int *v, int v_min, int v_max, byte *format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Numerics.Vector2 | size |
System.Int32* | v |
System.Int32 | v_min |
System.Int32 | v_max |
System.Byte* | format |

##### Returns

Type | Description
--- | ---
System.Byte |

#### igVSliderScalar(Byte*, Vector2, ImGuiDataType, Void*, Void*, Void*, Byte*, Single)

##### Declaration

    public static byte igVSliderScalar(byte *label, Vector2 size, ImGuiDataType data_type, void *v, void *v_min, void *v_max, byte *format, float power)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Numerics.Vector2 | size |
ImGuiDataType | data_type |
System.Void* | v |
System.Void* | v_min |
System.Void* | v_max |
System.Byte* | format |
System.Single | power |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImColor_destroy(ImColor*)

##### Declaration

    public static void ImColor_destroy(ImColor*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImColor* | self |

#### ImColor_HSV(ImColor*, Single, Single, Single, Single)

##### Declaration

    public static ImColor ImColor_HSV(ImColor*self, float h, float s, float v, float a)

##### Parameters

Type | Name | Description
--- | --- | ---
ImColor* | self |
System.Single | h |
System.Single | s |
System.Single | v |
System.Single | a |

##### Returns

Type | Description
--- | ---
ImColor |

#### ImColor_ImColor()

##### Declaration

    public static ImColor*ImColor_ImColor()

##### Returns

Type | Description
--- | ---
ImColor* |

#### ImColor_ImColorFloat(Single, Single, Single, Single)

##### Declaration

    public static ImColor*ImColor_ImColorFloat(float r, float g, float b, float a)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | r |
System.Single | g |
System.Single | b |
System.Single | a |

##### Returns

Type | Description
--- | ---
ImColor* |

#### ImColor_ImColorInt(Int32, Int32, Int32, Int32)

##### Declaration

    public static ImColor*ImColor_ImColorInt(int r, int g, int b, int a)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | r |
System.Int32 | g |
System.Int32 | b |
System.Int32 | a |

##### Returns

Type | Description
--- | ---
ImColor* |

#### ImColor_ImColorU32(UInt32)

##### Declaration

    public static ImColor*ImColor_ImColorU32(uint rgba)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | rgba |

##### Returns

Type | Description
--- | ---
ImColor* |

#### ImColor_ImColorVec4(Vector4)

##### Declaration

    public static ImColor*ImColor_ImColorVec4(Vector4 col)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector4 | col |

##### Returns

Type | Description
--- | ---
ImColor* |

#### ImColor_SetHSV(ImColor*, Single, Single, Single, Single)

##### Declaration

    public static void ImColor_SetHSV(ImColor*self, float h, float s, float v, float a)

##### Parameters

Type | Name | Description
--- | --- | ---
ImColor* | self |
System.Single | h |
System.Single | s |
System.Single | v |
System.Single | a |

#### ImDrawCmd_destroy(ImDrawCmd*)

##### Declaration

    public static void ImDrawCmd_destroy(ImDrawCmd*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawCmd* | self |

#### ImDrawCmd_ImDrawCmd()

##### Declaration

    public static ImDrawCmd*ImDrawCmd_ImDrawCmd()

##### Returns

Type | Description
--- | ---
ImDrawCmd* |

#### ImDrawData_Clear(ImDrawData*)

##### Declaration

    public static void ImDrawData_Clear(ImDrawData*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawData* | self |

#### ImDrawData_DeIndexAllBuffers(ImDrawData*)

##### Declaration

    public static void ImDrawData_DeIndexAllBuffers(ImDrawData*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawData* | self |

#### ImDrawData_destroy(ImDrawData*)

##### Declaration

    public static void ImDrawData_destroy(ImDrawData*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawData* | self |

#### ImDrawData_ImDrawData()

##### Declaration

    public static ImDrawData*ImDrawData_ImDrawData()

##### Returns

Type | Description
--- | ---
ImDrawData* |

#### ImDrawData_ScaleClipRects(ImDrawData*, Vector2)

##### Declaration

    public static void ImDrawData_ScaleClipRects(ImDrawData*self, Vector2 fb_scale)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawData* | self |
System.Numerics.Vector2 | fb_scale |

#### ImDrawList_AddBezierCurve(ImDrawList*, Vector2, Vector2, Vector2, Vector2, UInt32, Single, Int32)

##### Declaration

    public static void ImDrawList_AddBezierCurve(ImDrawList*self, Vector2 pos0, Vector2 cp0, Vector2 cp1, Vector2 pos1, uint col, float thickness, int num_segments)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.Numerics.Vector2 | pos0 |
System.Numerics.Vector2 | cp0 |
System.Numerics.Vector2 | cp1 |
System.Numerics.Vector2 | pos1 |
System.UInt32 | col |
System.Single | thickness |
System.Int32 | num_segments |

#### ImDrawList_AddCallback(ImDrawList*, IntPtr, Void*)

##### Declaration

    public static void ImDrawList_AddCallback(ImDrawList*self, IntPtr callback, void *callback_data)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.IntPtr | callback |
System.Void* | callback_data |

#### ImDrawList_AddCircle(ImDrawList*, Vector2, Single, UInt32, Int32, Single)

##### Declaration

    public static void ImDrawList_AddCircle(ImDrawList*self, Vector2 centre, float radius, uint col, int num_segments, float thickness)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.Numerics.Vector2 | centre |
System.Single | radius |
System.UInt32 | col |
System.Int32 | num_segments |
System.Single | thickness |

#### ImDrawList_AddCircleFilled(ImDrawList*, Vector2, Single, UInt32, Int32)

##### Declaration

    public static void ImDrawList_AddCircleFilled(ImDrawList*self, Vector2 centre, float radius, uint col, int num_segments)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.Numerics.Vector2 | centre |
System.Single | radius |
System.UInt32 | col |
System.Int32 | num_segments |

#### ImDrawList_AddConvexPolyFilled(ImDrawList*, Vector2*, Int32, UInt32)

##### Declaration

    public static void ImDrawList_AddConvexPolyFilled(ImDrawList*self, Vector2*points, int num_points, uint col)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.Numerics.Vector2* | points |
System.Int32 | num_points |
System.UInt32 | col |

#### ImDrawList_AddDrawCmd(ImDrawList*)

##### Declaration

    public static void ImDrawList_AddDrawCmd(ImDrawList*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |

#### ImDrawList_AddImage(ImDrawList*, IntPtr, Vector2, Vector2, Vector2, Vector2, UInt32)

##### Declaration

    public static void ImDrawList_AddImage(ImDrawList*self, IntPtr user_texture_id, Vector2 a, Vector2 b, Vector2 uv_a, Vector2 uv_b, uint col)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.IntPtr | user_texture_id |
System.Numerics.Vector2 | a |
System.Numerics.Vector2 | b |
System.Numerics.Vector2 | uv_a |
System.Numerics.Vector2 | uv_b |
System.UInt32 | col |

#### ImDrawList_AddImageQuad(ImDrawList*, IntPtr, Vector2, Vector2, Vector2, Vector2, Vector2, Vector2, Vector2, Vector2, UInt32)

##### Declaration

    public static void ImDrawList_AddImageQuad(ImDrawList*self, IntPtr user_texture_id, Vector2 a, Vector2 b, Vector2 c, Vector2 d, Vector2 uv_a, Vector2 uv_b, Vector2 uv_c, Vector2 uv_d, uint col)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.IntPtr | user_texture_id |
System.Numerics.Vector2 | a |
System.Numerics.Vector2 | b |
System.Numerics.Vector2 | c |
System.Numerics.Vector2 | d |
System.Numerics.Vector2 | uv_a |
System.Numerics.Vector2 | uv_b |
System.Numerics.Vector2 | uv_c |
System.Numerics.Vector2 | uv_d |
System.UInt32 | col |

#### ImDrawList_AddImageRounded(ImDrawList*, IntPtr, Vector2, Vector2, Vector2, Vector2, UInt32, Single, ImDrawCornerFlags)

##### Declaration

    public static void ImDrawList_AddImageRounded(ImDrawList*self, IntPtr user_texture_id, Vector2 a, Vector2 b, Vector2 uv_a, Vector2 uv_b, uint col, float rounding, ImDrawCornerFlags rounding_corners)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.IntPtr | user_texture_id |
System.Numerics.Vector2 | a |
System.Numerics.Vector2 | b |
System.Numerics.Vector2 | uv_a |
System.Numerics.Vector2 | uv_b |
System.UInt32 | col |
System.Single | rounding |
ImDrawCornerFlags | rounding_corners |

#### ImDrawList_AddLine(ImDrawList*, Vector2, Vector2, UInt32, Single)

##### Declaration

    public static void ImDrawList_AddLine(ImDrawList*self, Vector2 a, Vector2 b, uint col, float thickness)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.Numerics.Vector2 | a |
System.Numerics.Vector2 | b |
System.UInt32 | col |
System.Single | thickness |

#### ImDrawList_AddPolyline(ImDrawList*, Vector2*, Int32, UInt32, Byte, Single)

##### Declaration

    public static void ImDrawList_AddPolyline(ImDrawList*self, Vector2*points, int num_points, uint col, byte closed, float thickness)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.Numerics.Vector2* | points |
System.Int32 | num_points |
System.UInt32 | col |
System.Byte | closed |
System.Single | thickness |

#### ImDrawList_AddQuad(ImDrawList*, Vector2, Vector2, Vector2, Vector2, UInt32, Single)

##### Declaration

    public static void ImDrawList_AddQuad(ImDrawList*self, Vector2 a, Vector2 b, Vector2 c, Vector2 d, uint col, float thickness)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.Numerics.Vector2 | a |
System.Numerics.Vector2 | b |
System.Numerics.Vector2 | c |
System.Numerics.Vector2 | d |
System.UInt32 | col |
System.Single | thickness |

#### ImDrawList_AddQuadFilled(ImDrawList*, Vector2, Vector2, Vector2, Vector2, UInt32)

##### Declaration

    public static void ImDrawList_AddQuadFilled(ImDrawList*self, Vector2 a, Vector2 b, Vector2 c, Vector2 d, uint col)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.Numerics.Vector2 | a |
System.Numerics.Vector2 | b |
System.Numerics.Vector2 | c |
System.Numerics.Vector2 | d |
System.UInt32 | col |

#### ImDrawList_AddRect(ImDrawList*, Vector2, Vector2, UInt32, Single, ImDrawCornerFlags, Single)

##### Declaration

    public static void ImDrawList_AddRect(ImDrawList*self, Vector2 a, Vector2 b, uint col, float rounding, ImDrawCornerFlags rounding_corners, float thickness)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.Numerics.Vector2 | a |
System.Numerics.Vector2 | b |
System.UInt32 | col |
System.Single | rounding |
ImDrawCornerFlags | rounding_corners |
System.Single | thickness |

#### ImDrawList_AddRectFilled(ImDrawList*, Vector2, Vector2, UInt32, Single, ImDrawCornerFlags)

##### Declaration

    public static void ImDrawList_AddRectFilled(ImDrawList*self, Vector2 a, Vector2 b, uint col, float rounding, ImDrawCornerFlags rounding_corners)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.Numerics.Vector2 | a |
System.Numerics.Vector2 | b |
System.UInt32 | col |
System.Single | rounding |
ImDrawCornerFlags | rounding_corners |

#### ImDrawList_AddRectFilledMultiColor(ImDrawList*, Vector2, Vector2, UInt32, UInt32, UInt32, UInt32)

##### Declaration

    public static void ImDrawList_AddRectFilledMultiColor(ImDrawList*self, Vector2 a, Vector2 b, uint col_upr_left, uint col_upr_right, uint col_bot_right, uint col_bot_left)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.Numerics.Vector2 | a |
System.Numerics.Vector2 | b |
System.UInt32 | col_upr_left |
System.UInt32 | col_upr_right |
System.UInt32 | col_bot_right |
System.UInt32 | col_bot_left |

#### ImDrawList_AddText(ImDrawList*, Vector2, UInt32, Byte*, Byte*)

##### Declaration

    public static void ImDrawList_AddText(ImDrawList*self, Vector2 pos, uint col, byte *text_begin, byte *text_end)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.Numerics.Vector2 | pos |
System.UInt32 | col |
System.Byte* | text_begin |
System.Byte* | text_end |

#### ImDrawList_AddTextFontPtr(ImDrawList*, ImFont*, Single, Vector2, UInt32, Byte*, Byte*, Single, Vector4*)

##### Declaration

    public static void ImDrawList_AddTextFontPtr(ImDrawList*self, ImFont*font, float font_size, Vector2 pos, uint col, byte *text_begin, byte *text_end, float wrap_width, Vector4*cpu_fine_clip_rect)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
ImFont* | font |
System.Single | font_size |
System.Numerics.Vector2 | pos |
System.UInt32 | col |
System.Byte* | text_begin |
System.Byte* | text_end |
System.Single | wrap_width |
System.Numerics.Vector4* | cpu_fine_clip_rect |

#### ImDrawList_AddTriangle(ImDrawList*, Vector2, Vector2, Vector2, UInt32, Single)

##### Declaration

    public static void ImDrawList_AddTriangle(ImDrawList*self, Vector2 a, Vector2 b, Vector2 c, uint col, float thickness)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.Numerics.Vector2 | a |
System.Numerics.Vector2 | b |
System.Numerics.Vector2 | c |
System.UInt32 | col |
System.Single | thickness |

#### ImDrawList_AddTriangleFilled(ImDrawList*, Vector2, Vector2, Vector2, UInt32)

##### Declaration

    public static void ImDrawList_AddTriangleFilled(ImDrawList*self, Vector2 a, Vector2 b, Vector2 c, uint col)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.Numerics.Vector2 | a |
System.Numerics.Vector2 | b |
System.Numerics.Vector2 | c |
System.UInt32 | col |

#### ImDrawList_ChannelsMerge(ImDrawList*)

##### Declaration

    public static void ImDrawList_ChannelsMerge(ImDrawList*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |

#### ImDrawList_ChannelsSetCurrent(ImDrawList*, Int32)

##### Declaration

    public static void ImDrawList_ChannelsSetCurrent(ImDrawList*self, int n)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.Int32 | n |

#### ImDrawList_ChannelsSplit(ImDrawList*, Int32)

##### Declaration

    public static void ImDrawList_ChannelsSplit(ImDrawList*self, int count)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.Int32 | count |

#### ImDrawList_Clear(ImDrawList*)

##### Declaration

    public static void ImDrawList_Clear(ImDrawList*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |

#### ImDrawList_ClearFreeMemory(ImDrawList*)

##### Declaration

    public static void ImDrawList_ClearFreeMemory(ImDrawList*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |

#### ImDrawList_CloneOutput(ImDrawList*)

##### Declaration

    public static ImDrawList*ImDrawList_CloneOutput(ImDrawList*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |

##### Returns

Type | Description
--- | ---
ImDrawList* |

#### ImDrawList_destroy(ImDrawList*)

##### Declaration

    public static void ImDrawList_destroy(ImDrawList*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |

#### ImDrawList_GetClipRectMax(ImDrawList*)

##### Declaration

    public static Vector2 ImDrawList_GetClipRectMax(ImDrawList*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

#### ImDrawList_GetClipRectMin(ImDrawList*)

##### Declaration

    public static Vector2 ImDrawList_GetClipRectMin(ImDrawList*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

#### ImDrawList_ImDrawList(IntPtr)

##### Declaration

    public static ImDrawList*ImDrawList_ImDrawList(IntPtr shared_data)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | shared_data |

##### Returns

Type | Description
--- | ---
ImDrawList* |

#### ImDrawList_PathArcTo(ImDrawList*, Vector2, Single, Single, Single, Int32)

##### Declaration

    public static void ImDrawList_PathArcTo(ImDrawList*self, Vector2 centre, float radius, float a_min, float a_max, int num_segments)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.Numerics.Vector2 | centre |
System.Single | radius |
System.Single | a_min |
System.Single | a_max |
System.Int32 | num_segments |

#### ImDrawList_PathArcToFast(ImDrawList*, Vector2, Single, Int32, Int32)

##### Declaration

    public static void ImDrawList_PathArcToFast(ImDrawList*self, Vector2 centre, float radius, int a_min_of_12, int a_max_of_12)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.Numerics.Vector2 | centre |
System.Single | radius |
System.Int32 | a_min_of_12 |
System.Int32 | a_max_of_12 |

#### ImDrawList_PathBezierCurveTo(ImDrawList*, Vector2, Vector2, Vector2, Int32)

##### Declaration

    public static void ImDrawList_PathBezierCurveTo(ImDrawList*self, Vector2 p1, Vector2 p2, Vector2 p3, int num_segments)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.Numerics.Vector2 | p1 |
System.Numerics.Vector2 | p2 |
System.Numerics.Vector2 | p3 |
System.Int32 | num_segments |

#### ImDrawList_PathClear(ImDrawList*)

##### Declaration

    public static void ImDrawList_PathClear(ImDrawList*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |

#### ImDrawList_PathFillConvex(ImDrawList*, UInt32)

##### Declaration

    public static void ImDrawList_PathFillConvex(ImDrawList*self, uint col)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.UInt32 | col |

#### ImDrawList_PathLineTo(ImDrawList*, Vector2)

##### Declaration

    public static void ImDrawList_PathLineTo(ImDrawList*self, Vector2 pos)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.Numerics.Vector2 | pos |

#### ImDrawList_PathLineToMergeDuplicate(ImDrawList*, Vector2)

##### Declaration

    public static void ImDrawList_PathLineToMergeDuplicate(ImDrawList*self, Vector2 pos)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.Numerics.Vector2 | pos |

#### ImDrawList_PathRect(ImDrawList*, Vector2, Vector2, Single, ImDrawCornerFlags)

##### Declaration

    public static void ImDrawList_PathRect(ImDrawList*self, Vector2 rect_min, Vector2 rect_max, float rounding, ImDrawCornerFlags rounding_corners)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.Numerics.Vector2 | rect_min |
System.Numerics.Vector2 | rect_max |
System.Single | rounding |
ImDrawCornerFlags | rounding_corners |

#### ImDrawList_PathStroke(ImDrawList*, UInt32, Byte, Single)

##### Declaration

    public static void ImDrawList_PathStroke(ImDrawList*self, uint col, byte closed, float thickness)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.UInt32 | col |
System.Byte | closed |
System.Single | thickness |

#### ImDrawList_PopClipRect(ImDrawList*)

##### Declaration

    public static void ImDrawList_PopClipRect(ImDrawList*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |

#### ImDrawList_PopTextureID(ImDrawList*)

##### Declaration

    public static void ImDrawList_PopTextureID(ImDrawList*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |

#### ImDrawList_PrimQuadUV(ImDrawList*, Vector2, Vector2, Vector2, Vector2, Vector2, Vector2, Vector2, Vector2, UInt32)

##### Declaration

    public static void ImDrawList_PrimQuadUV(ImDrawList*self, Vector2 a, Vector2 b, Vector2 c, Vector2 d, Vector2 uv_a, Vector2 uv_b, Vector2 uv_c, Vector2 uv_d, uint col)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.Numerics.Vector2 | a |
System.Numerics.Vector2 | b |
System.Numerics.Vector2 | c |
System.Numerics.Vector2 | d |
System.Numerics.Vector2 | uv_a |
System.Numerics.Vector2 | uv_b |
System.Numerics.Vector2 | uv_c |
System.Numerics.Vector2 | uv_d |
System.UInt32 | col |

#### ImDrawList_PrimRect(ImDrawList*, Vector2, Vector2, UInt32)

##### Declaration

    public static void ImDrawList_PrimRect(ImDrawList*self, Vector2 a, Vector2 b, uint col)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.Numerics.Vector2 | a |
System.Numerics.Vector2 | b |
System.UInt32 | col |

#### ImDrawList_PrimRectUV(ImDrawList*, Vector2, Vector2, Vector2, Vector2, UInt32)

##### Declaration

    public static void ImDrawList_PrimRectUV(ImDrawList*self, Vector2 a, Vector2 b, Vector2 uv_a, Vector2 uv_b, uint col)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.Numerics.Vector2 | a |
System.Numerics.Vector2 | b |
System.Numerics.Vector2 | uv_a |
System.Numerics.Vector2 | uv_b |
System.UInt32 | col |

#### ImDrawList_PrimReserve(ImDrawList*, Int32, Int32)

##### Declaration

    public static void ImDrawList_PrimReserve(ImDrawList*self, int idx_count, int vtx_count)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.Int32 | idx_count |
System.Int32 | vtx_count |

#### ImDrawList_PrimVtx(ImDrawList*, Vector2, Vector2, UInt32)

##### Declaration

    public static void ImDrawList_PrimVtx(ImDrawList*self, Vector2 pos, Vector2 uv, uint col)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.Numerics.Vector2 | pos |
System.Numerics.Vector2 | uv |
System.UInt32 | col |

#### ImDrawList_PrimWriteIdx(ImDrawList*, UInt16)

##### Declaration

    public static void ImDrawList_PrimWriteIdx(ImDrawList*self, ushort idx)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.UInt16 | idx |

#### ImDrawList_PrimWriteVtx(ImDrawList*, Vector2, Vector2, UInt32)

##### Declaration

    public static void ImDrawList_PrimWriteVtx(ImDrawList*self, Vector2 pos, Vector2 uv, uint col)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.Numerics.Vector2 | pos |
System.Numerics.Vector2 | uv |
System.UInt32 | col |

#### ImDrawList_PushClipRect(ImDrawList*, Vector2, Vector2, Byte)

##### Declaration

    public static void ImDrawList_PushClipRect(ImDrawList*self, Vector2 clip_rect_min, Vector2 clip_rect_max, byte intersect_with_current_clip_rect)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.Numerics.Vector2 | clip_rect_min |
System.Numerics.Vector2 | clip_rect_max |
System.Byte | intersect_with_current_clip_rect |

#### ImDrawList_PushClipRectFullScreen(ImDrawList*)

##### Declaration

    public static void ImDrawList_PushClipRectFullScreen(ImDrawList*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |

#### ImDrawList_PushTextureID(ImDrawList*, IntPtr)

##### Declaration

    public static void ImDrawList_PushTextureID(ImDrawList*self, IntPtr texture_id)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |
System.IntPtr | texture_id |

#### ImDrawList_UpdateClipRect(ImDrawList*)

##### Declaration

    public static void ImDrawList_UpdateClipRect(ImDrawList*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |

#### ImDrawList_UpdateTextureID(ImDrawList*)

##### Declaration

    public static void ImDrawList_UpdateTextureID(ImDrawList*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | self |

#### ImDrawListSplitter_Clear(ImDrawListSplitter*)

##### Declaration

    public static void ImDrawListSplitter_Clear(ImDrawListSplitter*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawListSplitter* | self |

#### ImDrawListSplitter_ClearFreeMemory(ImDrawListSplitter*)

##### Declaration

    public static void ImDrawListSplitter_ClearFreeMemory(ImDrawListSplitter*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawListSplitter* | self |

#### ImDrawListSplitter_destroy(ImDrawListSplitter*)

##### Declaration

    public static void ImDrawListSplitter_destroy(ImDrawListSplitter*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawListSplitter* | self |

#### ImDrawListSplitter_ImDrawListSplitter()

##### Declaration

    public static ImDrawListSplitter*ImDrawListSplitter_ImDrawListSplitter()

##### Returns

Type | Description
--- | ---
ImDrawListSplitter* |

#### ImDrawListSplitter_Merge(ImDrawListSplitter*, ImDrawList*)

##### Declaration

    public static void ImDrawListSplitter_Merge(ImDrawListSplitter*self, ImDrawList*draw_list)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawListSplitter* | self |
ImDrawList* | draw_list |

#### ImDrawListSplitter_SetCurrentChannel(ImDrawListSplitter*, ImDrawList*, Int32)

##### Declaration

    public static void ImDrawListSplitter_SetCurrentChannel(ImDrawListSplitter*self, ImDrawList*draw_list, int channel_idx)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawListSplitter* | self |
ImDrawList* | draw_list |
System.Int32 | channel_idx |

#### ImDrawListSplitter_Split(ImDrawListSplitter*, ImDrawList*, Int32)

##### Declaration

    public static void ImDrawListSplitter_Split(ImDrawListSplitter*self, ImDrawList*draw_list, int count)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawListSplitter* | self |
ImDrawList* | draw_list |
System.Int32 | count |

#### ImFont_AddGlyph(ImFont*, UInt16, Single, Single, Single, Single, Single, Single, Single, Single, Single)

##### Declaration

    public static void ImFont_AddGlyph(ImFont*self, ushort c, float x0, float y0, float x1, float y1, float u0, float v0, float u1, float v1, float advance_x)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFont* | self |
System.UInt16 | c |
System.Single | x0 |
System.Single | y0 |
System.Single | x1 |
System.Single | y1 |
System.Single | u0 |
System.Single | v0 |
System.Single | u1 |
System.Single | v1 |
System.Single | advance_x |

#### ImFont_AddRemapChar(ImFont*, UInt16, UInt16, Byte)

##### Declaration

    public static void ImFont_AddRemapChar(ImFont*self, ushort dst, ushort src, byte overwrite_dst)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFont* | self |
System.UInt16 | dst |
System.UInt16 | src |
System.Byte | overwrite_dst |

#### ImFont_BuildLookupTable(ImFont*)

##### Declaration

    public static void ImFont_BuildLookupTable(ImFont*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFont* | self |

#### ImFont_CalcTextSizeA(ImFont*, Single, Single, Single, Byte*, Byte*, Byte**)

##### Declaration

    public static Vector2 ImFont_CalcTextSizeA(ImFont*self, float size, float max_width, float wrap_width, byte *text_begin, byte *text_end, byte **remaining)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFont* | self |
System.Single | size |
System.Single | max_width |
System.Single | wrap_width |
System.Byte* | text_begin |
System.Byte* | text_end |
System.Byte** | remaining |

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

#### ImFont_CalcWordWrapPositionA(ImFont*, Single, Byte*, Byte*, Single)

##### Declaration

    public static byte *ImFont_CalcWordWrapPositionA(ImFont*self, float scale, byte *text, byte *text_end, float wrap_width)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFont* | self |
System.Single | scale |
System.Byte* | text |
System.Byte* | text_end |
System.Single | wrap_width |

##### Returns

Type | Description
--- | ---
System.Byte* |

#### ImFont_ClearOutputData(ImFont*)

##### Declaration

    public static void ImFont_ClearOutputData(ImFont*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFont* | self |

#### ImFont_destroy(ImFont*)

##### Declaration

    public static void ImFont_destroy(ImFont*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFont* | self |

#### ImFont_FindGlyph(ImFont*, UInt16)

##### Declaration

    public static ImFontGlyph*ImFont_FindGlyph(ImFont*self, ushort c)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFont* | self |
System.UInt16 | c |

##### Returns

Type | Description
--- | ---
ImFontGlyph* |

#### ImFont_FindGlyphNoFallback(ImFont*, UInt16)

##### Declaration

    public static ImFontGlyph*ImFont_FindGlyphNoFallback(ImFont*self, ushort c)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFont* | self |
System.UInt16 | c |

##### Returns

Type | Description
--- | ---
ImFontGlyph* |

#### ImFont_GetCharAdvance(ImFont*, UInt16)

##### Declaration

    public static float ImFont_GetCharAdvance(ImFont*self, ushort c)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFont* | self |
System.UInt16 | c |

##### Returns

Type | Description
--- | ---
System.Single |

#### ImFont_GetDebugName(ImFont*)

##### Declaration

    public static byte *ImFont_GetDebugName(ImFont*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFont* | self |

##### Returns

Type | Description
--- | ---
System.Byte* |

#### ImFont_GrowIndex(ImFont*, Int32)

##### Declaration

    public static void ImFont_GrowIndex(ImFont*self, int new_size)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFont* | self |
System.Int32 | new_size |

#### ImFont_ImFont()

##### Declaration

    public static ImFont*ImFont_ImFont()

##### Returns

Type | Description
--- | ---
ImFont* |

#### ImFont_IsLoaded(ImFont*)

##### Declaration

    public static byte ImFont_IsLoaded(ImFont*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFont* | self |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImFont_RenderChar(ImFont*, ImDrawList*, Single, Vector2, UInt32, UInt16)

##### Declaration

    public static void ImFont_RenderChar(ImFont*self, ImDrawList*draw_list, float size, Vector2 pos, uint col, ushort c)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFont* | self |
ImDrawList* | draw_list |
System.Single | size |
System.Numerics.Vector2 | pos |
System.UInt32 | col |
System.UInt16 | c |

#### ImFont_RenderText(ImFont*, ImDrawList*, Single, Vector2, UInt32, Vector4, Byte*, Byte*, Single, Byte)

##### Declaration

    public static void ImFont_RenderText(ImFont*self, ImDrawList*draw_list, float size, Vector2 pos, uint col, Vector4 clip_rect, byte *text_begin, byte *text_end, float wrap_width, byte cpu_fine_clip)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFont* | self |
ImDrawList* | draw_list |
System.Single | size |
System.Numerics.Vector2 | pos |
System.UInt32 | col |
System.Numerics.Vector4 | clip_rect |
System.Byte* | text_begin |
System.Byte* | text_end |
System.Single | wrap_width |
System.Byte | cpu_fine_clip |

#### ImFont_SetFallbackChar(ImFont*, UInt16)

##### Declaration

    public static void ImFont_SetFallbackChar(ImFont*self, ushort c)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFont* | self |
System.UInt16 | c |

#### ImFontAtlas_AddCustomRectFontGlyph(ImFontAtlas*, ImFont*, UInt16, Int32, Int32, Single, Vector2)

##### Declaration

    public static int ImFontAtlas_AddCustomRectFontGlyph(ImFontAtlas*self, ImFont*font, ushort id, int width, int height, float advance_x, Vector2 offset)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | self |
ImFont* | font |
System.UInt16 | id |
System.Int32 | width |
System.Int32 | height |
System.Single | advance_x |
System.Numerics.Vector2 | offset |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### ImFontAtlas_AddCustomRectRegular(ImFontAtlas*, UInt32, Int32, Int32)

##### Declaration

    public static int ImFontAtlas_AddCustomRectRegular(ImFontAtlas*self, uint id, int width, int height)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | self |
System.UInt32 | id |
System.Int32 | width |
System.Int32 | height |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### ImFontAtlas_AddFont(ImFontAtlas*, ImFontConfig*)

##### Declaration

    public static ImFont*ImFontAtlas_AddFont(ImFontAtlas*self, ImFontConfig*font_cfg)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | self |
ImFontConfig* | font_cfg |

##### Returns

Type | Description
--- | ---
ImFont* |

#### ImFontAtlas_AddFontDefault(ImFontAtlas*, ImFontConfig*)

##### Declaration

    public static ImFont*ImFontAtlas_AddFontDefault(ImFontAtlas*self, ImFontConfig*font_cfg)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | self |
ImFontConfig* | font_cfg |

##### Returns

Type | Description
--- | ---
ImFont* |

#### ImFontAtlas_AddFontFromFileTTF(ImFontAtlas*, Byte*, Single, ImFontConfig*, UInt16*)

##### Declaration

    public static ImFont*ImFontAtlas_AddFontFromFileTTF(ImFontAtlas*self, byte *filename, float size_pixels, ImFontConfig*font_cfg, ushort *glyph_ranges)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | self |
System.Byte* | filename |
System.Single | size_pixels |
ImFontConfig* | font_cfg |
System.UInt16* | glyph_ranges |

##### Returns

Type | Description
--- | ---
ImFont* |

#### ImFontAtlas_AddFontFromMemoryCompressedBase85TTF(ImFontAtlas*, Byte*, Single, ImFontConfig*, UInt16*)

##### Declaration

    public static ImFont*ImFontAtlas_AddFontFromMemoryCompressedBase85TTF(ImFontAtlas*self, byte *compressed_font_data_base85, float size_pixels, ImFontConfig*font_cfg, ushort *glyph_ranges)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | self |
System.Byte* | compressed_font_data_base85 |
System.Single | size_pixels |
ImFontConfig* | font_cfg |
System.UInt16* | glyph_ranges |

##### Returns

Type | Description
--- | ---
ImFont* |

#### ImFontAtlas_AddFontFromMemoryCompressedTTF(ImFontAtlas*, Void*, Int32, Single, ImFontConfig*, UInt16*)

##### Declaration

    public static ImFont*ImFontAtlas_AddFontFromMemoryCompressedTTF(ImFontAtlas*self, void *compressed_font_data, int compressed_font_size, float size_pixels, ImFontConfig*font_cfg, ushort *glyph_ranges)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | self |
System.Void* | compressed_font_data |
System.Int32 | compressed_font_size |
System.Single | size_pixels |
ImFontConfig* | font_cfg |
System.UInt16* | glyph_ranges |

##### Returns

Type | Description
--- | ---
ImFont* |

#### ImFontAtlas_AddFontFromMemoryTTF(ImFontAtlas*, Void*, Int32, Single, ImFontConfig*, UInt16*)

##### Declaration

    public static ImFont*ImFontAtlas_AddFontFromMemoryTTF(ImFontAtlas*self, void *font_data, int font_size, float size_pixels, ImFontConfig*font_cfg, ushort *glyph_ranges)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | self |
System.Void* | font_data |
System.Int32 | font_size |
System.Single | size_pixels |
ImFontConfig* | font_cfg |
System.UInt16* | glyph_ranges |

##### Returns

Type | Description
--- | ---
ImFont* |

#### ImFontAtlas_Build(ImFontAtlas*)

##### Declaration

    public static byte ImFontAtlas_Build(ImFontAtlas*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | self |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImFontAtlas_CalcCustomRectUV(ImFontAtlas*, ImFontAtlasCustomRect*, Vector2*, Vector2*)

##### Declaration

    public static void ImFontAtlas_CalcCustomRectUV(ImFontAtlas*self, ImFontAtlasCustomRect*rect, Vector2*out_uv_min, Vector2*out_uv_max)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | self |
ImFontAtlasCustomRect* | rect |
System.Numerics.Vector2* | out_uv_min |
System.Numerics.Vector2* | out_uv_max |

#### ImFontAtlas_Clear(ImFontAtlas*)

##### Declaration

    public static void ImFontAtlas_Clear(ImFontAtlas*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | self |

#### ImFontAtlas_ClearFonts(ImFontAtlas*)

##### Declaration

    public static void ImFontAtlas_ClearFonts(ImFontAtlas*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | self |

#### ImFontAtlas_ClearInputData(ImFontAtlas*)

##### Declaration

    public static void ImFontAtlas_ClearInputData(ImFontAtlas*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | self |

#### ImFontAtlas_ClearTexData(ImFontAtlas*)

##### Declaration

    public static void ImFontAtlas_ClearTexData(ImFontAtlas*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | self |

#### ImFontAtlas_destroy(ImFontAtlas*)

##### Declaration

    public static void ImFontAtlas_destroy(ImFontAtlas*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | self |

#### ImFontAtlas_GetCustomRectByIndex(ImFontAtlas*, Int32)

##### Declaration

    public static ImFontAtlasCustomRect*ImFontAtlas_GetCustomRectByIndex(ImFontAtlas*self, int index)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | self |
System.Int32 | index |

##### Returns

Type | Description
--- | ---
ImFontAtlasCustomRect* |

#### ImFontAtlas_GetGlyphRangesChineseFull(ImFontAtlas*)

##### Declaration

    public static ushort *ImFontAtlas_GetGlyphRangesChineseFull(ImFontAtlas*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | self |

##### Returns

Type | Description
--- | ---
System.UInt16* |

#### ImFontAtlas_GetGlyphRangesChineseSimplifiedCommon(ImFontAtlas*)

##### Declaration

    public static ushort *ImFontAtlas_GetGlyphRangesChineseSimplifiedCommon(ImFontAtlas*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | self |

##### Returns

Type | Description
--- | ---
System.UInt16* |

#### ImFontAtlas_GetGlyphRangesCyrillic(ImFontAtlas*)

##### Declaration

    public static ushort *ImFontAtlas_GetGlyphRangesCyrillic(ImFontAtlas*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | self |

##### Returns

Type | Description
--- | ---
System.UInt16* |

#### ImFontAtlas_GetGlyphRangesDefault(ImFontAtlas*)

##### Declaration

    public static ushort *ImFontAtlas_GetGlyphRangesDefault(ImFontAtlas*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | self |

##### Returns

Type | Description
--- | ---
System.UInt16* |

#### ImFontAtlas_GetGlyphRangesJapanese(ImFontAtlas*)

##### Declaration

    public static ushort *ImFontAtlas_GetGlyphRangesJapanese(ImFontAtlas*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | self |

##### Returns

Type | Description
--- | ---
System.UInt16* |

#### ImFontAtlas_GetGlyphRangesKorean(ImFontAtlas*)

##### Declaration

    public static ushort *ImFontAtlas_GetGlyphRangesKorean(ImFontAtlas*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | self |

##### Returns

Type | Description
--- | ---
System.UInt16* |

#### ImFontAtlas_GetGlyphRangesThai(ImFontAtlas*)

##### Declaration

    public static ushort *ImFontAtlas_GetGlyphRangesThai(ImFontAtlas*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | self |

##### Returns

Type | Description
--- | ---
System.UInt16* |

#### ImFontAtlas_GetGlyphRangesVietnamese(ImFontAtlas*)

##### Declaration

    public static ushort *ImFontAtlas_GetGlyphRangesVietnamese(ImFontAtlas*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | self |

##### Returns

Type | Description
--- | ---
System.UInt16* |

#### ImFontAtlas_GetMouseCursorTexData(ImFontAtlas*, ImGuiMouseCursor, Vector2*, Vector2*, Vector2*, Vector2*)

##### Declaration

    public static byte ImFontAtlas_GetMouseCursorTexData(ImFontAtlas*self, ImGuiMouseCursor cursor, Vector2*out_offset, Vector2*out_size, Vector2*out_uv_border, Vector2*out_uv_fill)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | self |
ImGuiMouseCursor | cursor |
System.Numerics.Vector2* | out_offset |
System.Numerics.Vector2* | out_size |
System.Numerics.Vector2* | out_uv_border |
System.Numerics.Vector2* | out_uv_fill |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImFontAtlas_GetTexDataAsAlpha8(ImFontAtlas*, Byte**, Int32*, Int32*, Int32*)

##### Declaration

    public static void ImFontAtlas_GetTexDataAsAlpha8(ImFontAtlas*self, byte **out_pixels, int *out_width, int *out_height, int *out_bytes_per_pixel)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | self |
System.Byte** | out_pixels |
System.Int32* | out_width |
System.Int32* | out_height |
System.Int32* | out_bytes_per_pixel |

#### ImFontAtlas_GetTexDataAsAlpha8(ImFontAtlas*, IntPtr*, Int32*, Int32*, Int32*)

##### Declaration

    public static void ImFontAtlas_GetTexDataAsAlpha8(ImFontAtlas*self, IntPtr*out_pixels, int *out_width, int *out_height, int *out_bytes_per_pixel)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | self |
System.IntPtr* | out_pixels |
System.Int32* | out_width |
System.Int32* | out_height |
System.Int32* | out_bytes_per_pixel |

#### ImFontAtlas_GetTexDataAsRGBA32(ImFontAtlas*, Byte**, Int32*, Int32*, Int32*)

##### Declaration

    public static void ImFontAtlas_GetTexDataAsRGBA32(ImFontAtlas*self, byte **out_pixels, int *out_width, int *out_height, int *out_bytes_per_pixel)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | self |
System.Byte** | out_pixels |
System.Int32* | out_width |
System.Int32* | out_height |
System.Int32* | out_bytes_per_pixel |

#### ImFontAtlas_GetTexDataAsRGBA32(ImFontAtlas*, IntPtr*, Int32*, Int32*, Int32*)

##### Declaration

    public static void ImFontAtlas_GetTexDataAsRGBA32(ImFontAtlas*self, IntPtr*out_pixels, int *out_width, int *out_height, int *out_bytes_per_pixel)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | self |
System.IntPtr* | out_pixels |
System.Int32* | out_width |
System.Int32* | out_height |
System.Int32* | out_bytes_per_pixel |

#### ImFontAtlas_ImFontAtlas()

##### Declaration

    public static ImFontAtlas*ImFontAtlas_ImFontAtlas()

##### Returns

Type | Description
--- | ---
ImFontAtlas* |

#### ImFontAtlas_IsBuilt(ImFontAtlas*)

##### Declaration

    public static byte ImFontAtlas_IsBuilt(ImFontAtlas*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | self |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImFontAtlas_SetTexID(ImFontAtlas*, IntPtr)

##### Declaration

    public static void ImFontAtlas_SetTexID(ImFontAtlas*self, IntPtr id)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlas* | self |
System.IntPtr | id |

#### ImFontAtlasCustomRect_destroy(ImFontAtlasCustomRect*)

##### Declaration

    public static void ImFontAtlasCustomRect_destroy(ImFontAtlasCustomRect*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlasCustomRect* | self |

#### ImFontAtlasCustomRect_ImFontAtlasCustomRect()

##### Declaration

    public static ImFontAtlasCustomRect*ImFontAtlasCustomRect_ImFontAtlasCustomRect()

##### Returns

Type | Description
--- | ---
ImFontAtlasCustomRect* |

#### ImFontAtlasCustomRect_IsPacked(ImFontAtlasCustomRect*)

##### Declaration

    public static byte ImFontAtlasCustomRect_IsPacked(ImFontAtlasCustomRect*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlasCustomRect* | self |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImFontConfig_destroy(ImFontConfig*)

##### Declaration

    public static void ImFontConfig_destroy(ImFontConfig*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontConfig* | self |

#### ImFontConfig_ImFontConfig()

##### Declaration

    public static ImFontConfig*ImFontConfig_ImFontConfig()

##### Returns

Type | Description
--- | ---
ImFontConfig* |

#### ImFontGlyphRangesBuilder_AddChar(ImFontGlyphRangesBuilder*, UInt16)

##### Declaration

    public static void ImFontGlyphRangesBuilder_AddChar(ImFontGlyphRangesBuilder*self, ushort c)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontGlyphRangesBuilder* | self |
System.UInt16 | c |

#### ImFontGlyphRangesBuilder_AddRanges(ImFontGlyphRangesBuilder*, UInt16*)

##### Declaration

    public static void ImFontGlyphRangesBuilder_AddRanges(ImFontGlyphRangesBuilder*self, ushort *ranges)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontGlyphRangesBuilder* | self |
System.UInt16* | ranges |

#### ImFontGlyphRangesBuilder_AddText(ImFontGlyphRangesBuilder*, Byte*, Byte*)

##### Declaration

    public static void ImFontGlyphRangesBuilder_AddText(ImFontGlyphRangesBuilder*self, byte *text, byte *text_end)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontGlyphRangesBuilder* | self |
System.Byte* | text |
System.Byte* | text_end |

#### ImFontGlyphRangesBuilder_BuildRanges(ImFontGlyphRangesBuilder*, ImVector*)

##### Declaration

    public static void ImFontGlyphRangesBuilder_BuildRanges(ImFontGlyphRangesBuilder*self, ImVector*out_ranges)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontGlyphRangesBuilder* | self |
ImVector* | out_ranges |

#### ImFontGlyphRangesBuilder_Clear(ImFontGlyphRangesBuilder*)

##### Declaration

    public static void ImFontGlyphRangesBuilder_Clear(ImFontGlyphRangesBuilder*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontGlyphRangesBuilder* | self |

#### ImFontGlyphRangesBuilder_destroy(ImFontGlyphRangesBuilder*)

##### Declaration

    public static void ImFontGlyphRangesBuilder_destroy(ImFontGlyphRangesBuilder*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontGlyphRangesBuilder* | self |

#### ImFontGlyphRangesBuilder_GetBit(ImFontGlyphRangesBuilder*, Int32)

##### Declaration

    public static byte ImFontGlyphRangesBuilder_GetBit(ImFontGlyphRangesBuilder*self, int n)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontGlyphRangesBuilder* | self |
System.Int32 | n |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImFontGlyphRangesBuilder_ImFontGlyphRangesBuilder()

##### Declaration

    public static ImFontGlyphRangesBuilder*ImFontGlyphRangesBuilder_ImFontGlyphRangesBuilder()

##### Returns

Type | Description
--- | ---
ImFontGlyphRangesBuilder* |

#### ImFontGlyphRangesBuilder_SetBit(ImFontGlyphRangesBuilder*, Int32)

##### Declaration

    public static void ImFontGlyphRangesBuilder_SetBit(ImFontGlyphRangesBuilder*self, int n)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontGlyphRangesBuilder* | self |
System.Int32 | n |

#### ImGuiInputTextCallbackData_DeleteChars(ImGuiInputTextCallbackData*, Int32, Int32)

##### Declaration

    public static void ImGuiInputTextCallbackData_DeleteChars(ImGuiInputTextCallbackData*self, int pos, int bytes_count)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiInputTextCallbackData* | self |
System.Int32 | pos |
System.Int32 | bytes_count |

#### ImGuiInputTextCallbackData_destroy(ImGuiInputTextCallbackData*)

##### Declaration

    public static void ImGuiInputTextCallbackData_destroy(ImGuiInputTextCallbackData*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiInputTextCallbackData* | self |

#### ImGuiInputTextCallbackData_HasSelection(ImGuiInputTextCallbackData*)

##### Declaration

    public static byte ImGuiInputTextCallbackData_HasSelection(ImGuiInputTextCallbackData*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiInputTextCallbackData* | self |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImGuiInputTextCallbackData_ImGuiInputTextCallbackData()

##### Declaration

    public static ImGuiInputTextCallbackData*ImGuiInputTextCallbackData_ImGuiInputTextCallbackData()

##### Returns

Type | Description
--- | ---
ImGuiInputTextCallbackData* |

#### ImGuiInputTextCallbackData_InsertChars(ImGuiInputTextCallbackData*, Int32, Byte*, Byte*)

##### Declaration

    public static void ImGuiInputTextCallbackData_InsertChars(ImGuiInputTextCallbackData*self, int pos, byte *text, byte *text_end)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiInputTextCallbackData* | self |
System.Int32 | pos |
System.Byte* | text |
System.Byte* | text_end |

#### ImGuiIO_AddInputCharacter(ImGuiIO*, UInt32)

##### Declaration

    public static void ImGuiIO_AddInputCharacter(ImGuiIO*self, uint c)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiIO* | self |
System.UInt32 | c |

#### ImGuiIO_AddInputCharactersUTF8(ImGuiIO*, Byte*)

##### Declaration

    public static void ImGuiIO_AddInputCharactersUTF8(ImGuiIO*self, byte *str)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiIO* | self |
System.Byte* | str |

#### ImGuiIO_ClearInputCharacters(ImGuiIO*)

##### Declaration

    public static void ImGuiIO_ClearInputCharacters(ImGuiIO*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiIO* | self |

#### ImGuiIO_destroy(ImGuiIO*)

##### Declaration

    public static void ImGuiIO_destroy(ImGuiIO*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiIO* | self |

#### ImGuiIO_ImGuiIO()

##### Declaration

    public static ImGuiIO*ImGuiIO_ImGuiIO()

##### Returns

Type | Description
--- | ---
ImGuiIO* |

#### ImGuiListClipper_Begin(ImGuiListClipper*, Int32, Single)

##### Declaration

    public static void ImGuiListClipper_Begin(ImGuiListClipper*self, int items_count, float items_height)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiListClipper* | self |
System.Int32 | items_count |
System.Single | items_height |

#### ImGuiListClipper_destroy(ImGuiListClipper*)

##### Declaration

    public static void ImGuiListClipper_destroy(ImGuiListClipper*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiListClipper* | self |

#### ImGuiListClipper_End(ImGuiListClipper*)

##### Declaration

    public static void ImGuiListClipper_End(ImGuiListClipper*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiListClipper* | self |

#### ImGuiListClipper_ImGuiListClipper(Int32, Single)

##### Declaration

    public static ImGuiListClipper*ImGuiListClipper_ImGuiListClipper(int items_count, float items_height)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | items_count |
System.Single | items_height |

##### Returns

Type | Description
--- | ---
ImGuiListClipper* |

#### ImGuiListClipper_Step(ImGuiListClipper*)

##### Declaration

    public static byte ImGuiListClipper_Step(ImGuiListClipper*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiListClipper* | self |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImGuiOnceUponAFrame_destroy(ImGuiOnceUponAFrame*)

##### Declaration

    public static void ImGuiOnceUponAFrame_destroy(ImGuiOnceUponAFrame*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiOnceUponAFrame* | self |

#### ImGuiOnceUponAFrame_ImGuiOnceUponAFrame()

##### Declaration

    public static ImGuiOnceUponAFrame*ImGuiOnceUponAFrame_ImGuiOnceUponAFrame()

##### Returns

Type | Description
--- | ---
ImGuiOnceUponAFrame* |

#### ImGuiPayload_Clear(ImGuiPayload*)

##### Declaration

    public static void ImGuiPayload_Clear(ImGuiPayload*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiPayload* | self |

#### ImGuiPayload_destroy(ImGuiPayload*)

##### Declaration

    public static void ImGuiPayload_destroy(ImGuiPayload*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiPayload* | self |

#### ImGuiPayload_ImGuiPayload()

##### Declaration

    public static ImGuiPayload*ImGuiPayload_ImGuiPayload()

##### Returns

Type | Description
--- | ---
ImGuiPayload* |

#### ImGuiPayload_IsDataType(ImGuiPayload*, Byte*)

##### Declaration

    public static byte ImGuiPayload_IsDataType(ImGuiPayload*self, byte *type)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiPayload* | self |
System.Byte* | type |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImGuiPayload_IsDelivery(ImGuiPayload*)

##### Declaration

    public static byte ImGuiPayload_IsDelivery(ImGuiPayload*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiPayload* | self |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImGuiPayload_IsPreview(ImGuiPayload*)

##### Declaration

    public static byte ImGuiPayload_IsPreview(ImGuiPayload*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiPayload* | self |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImGuiStorage_BuildSortByKey(ImGuiStorage*)

##### Declaration

    public static void ImGuiStorage_BuildSortByKey(ImGuiStorage*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStorage* | self |

#### ImGuiStorage_Clear(ImGuiStorage*)

##### Declaration

    public static void ImGuiStorage_Clear(ImGuiStorage*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStorage* | self |

#### ImGuiStorage_GetBool(ImGuiStorage*, UInt32, Byte)

##### Declaration

    public static byte ImGuiStorage_GetBool(ImGuiStorage*self, uint key, byte default_val)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStorage* | self |
System.UInt32 | key |
System.Byte | default_val |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImGuiStorage_GetBoolRef(ImGuiStorage*, UInt32, Byte)

##### Declaration

    public static byte *ImGuiStorage_GetBoolRef(ImGuiStorage*self, uint key, byte default_val)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStorage* | self |
System.UInt32 | key |
System.Byte | default_val |

##### Returns

Type | Description
--- | ---
System.Byte* |

#### ImGuiStorage_GetFloat(ImGuiStorage*, UInt32, Single)

##### Declaration

    public static float ImGuiStorage_GetFloat(ImGuiStorage*self, uint key, float default_val)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStorage* | self |
System.UInt32 | key |
System.Single | default_val |

##### Returns

Type | Description
--- | ---
System.Single |

#### ImGuiStorage_GetFloatRef(ImGuiStorage*, UInt32, Single)

##### Declaration

    public static float *ImGuiStorage_GetFloatRef(ImGuiStorage*self, uint key, float default_val)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStorage* | self |
System.UInt32 | key |
System.Single | default_val |

##### Returns

Type | Description
--- | ---
System.Single* |

#### ImGuiStorage_GetInt(ImGuiStorage*, UInt32, Int32)

##### Declaration

    public static int ImGuiStorage_GetInt(ImGuiStorage*self, uint key, int default_val)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStorage* | self |
System.UInt32 | key |
System.Int32 | default_val |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### ImGuiStorage_GetIntRef(ImGuiStorage*, UInt32, Int32)

##### Declaration

    public static int *ImGuiStorage_GetIntRef(ImGuiStorage*self, uint key, int default_val)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStorage* | self |
System.UInt32 | key |
System.Int32 | default_val |

##### Returns

Type | Description
--- | ---
System.Int32* |

#### ImGuiStorage_GetVoidPtr(ImGuiStorage*, UInt32)

##### Declaration

    public static void *ImGuiStorage_GetVoidPtr(ImGuiStorage*self, uint key)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStorage* | self |
System.UInt32 | key |

##### Returns

Type | Description
--- | ---
System.Void* |

#### ImGuiStorage_GetVoidPtrRef(ImGuiStorage*, UInt32, Void*)

##### Declaration

    public static void **ImGuiStorage_GetVoidPtrRef(ImGuiStorage*self, uint key, void *default_val)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStorage* | self |
System.UInt32 | key |
System.Void* | default_val |

##### Returns

Type | Description
--- | ---
System.Void** |

#### ImGuiStorage_SetAllInt(ImGuiStorage*, Int32)

##### Declaration

    public static void ImGuiStorage_SetAllInt(ImGuiStorage*self, int val)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStorage* | self |
System.Int32 | val |

#### ImGuiStorage_SetBool(ImGuiStorage*, UInt32, Byte)

##### Declaration

    public static void ImGuiStorage_SetBool(ImGuiStorage*self, uint key, byte val)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStorage* | self |
System.UInt32 | key |
System.Byte | val |

#### ImGuiStorage_SetFloat(ImGuiStorage*, UInt32, Single)

##### Declaration

    public static void ImGuiStorage_SetFloat(ImGuiStorage*self, uint key, float val)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStorage* | self |
System.UInt32 | key |
System.Single | val |

#### ImGuiStorage_SetInt(ImGuiStorage*, UInt32, Int32)

##### Declaration

    public static void ImGuiStorage_SetInt(ImGuiStorage*self, uint key, int val)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStorage* | self |
System.UInt32 | key |
System.Int32 | val |

#### ImGuiStorage_SetVoidPtr(ImGuiStorage*, UInt32, Void*)

##### Declaration

    public static void ImGuiStorage_SetVoidPtr(ImGuiStorage*self, uint key, void *val)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStorage* | self |
System.UInt32 | key |
System.Void* | val |

#### ImGuiStoragePair_destroy(ImGuiStoragePair*)

##### Declaration

    public static void ImGuiStoragePair_destroy(ImGuiStoragePair*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStoragePair* | self |

#### ImGuiStoragePair_ImGuiStoragePairFloat(UInt32, Single)

##### Declaration

    public static ImGuiStoragePair*ImGuiStoragePair_ImGuiStoragePairFloat(uint _key, float _val_f)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | _key |
System.Single | _val_f |

##### Returns

Type | Description
--- | ---
ImGuiStoragePair* |

#### ImGuiStoragePair_ImGuiStoragePairInt(UInt32, Int32)

##### Declaration

    public static ImGuiStoragePair*ImGuiStoragePair_ImGuiStoragePairInt(uint _key, int _val_i)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | _key |
System.Int32 | _val_i |

##### Returns

Type | Description
--- | ---
ImGuiStoragePair* |

#### ImGuiStoragePair_ImGuiStoragePairPtr(UInt32, Void*)

##### Declaration

    public static ImGuiStoragePair*ImGuiStoragePair_ImGuiStoragePairPtr(uint _key, void *_val_p)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | _key |
System.Void* | _val_p |

##### Returns

Type | Description
--- | ---
ImGuiStoragePair* |

#### ImGuiStyle_destroy(ImGuiStyle*)

##### Declaration

    public static void ImGuiStyle_destroy(ImGuiStyle*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStyle* | self |

#### ImGuiStyle_ImGuiStyle()

##### Declaration

    public static ImGuiStyle*ImGuiStyle_ImGuiStyle()

##### Returns

Type | Description
--- | ---
ImGuiStyle* |

#### ImGuiStyle_ScaleAllSizes(ImGuiStyle*, Single)

##### Declaration

    public static void ImGuiStyle_ScaleAllSizes(ImGuiStyle*self, float scale_factor)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStyle* | self |
System.Single | scale_factor |

#### ImGuiTextBuffer_append(ImGuiTextBuffer*, Byte*, Byte*)

##### Declaration

    public static void ImGuiTextBuffer_append(ImGuiTextBuffer*self, byte *str, byte *str_end)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTextBuffer* | self |
System.Byte* | str |
System.Byte* | str_end |

#### ImGuiTextBuffer_appendf(ImGuiTextBuffer*, Byte*)

##### Declaration

    public static void ImGuiTextBuffer_appendf(ImGuiTextBuffer*self, byte *fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTextBuffer* | self |
System.Byte* | fmt |

#### ImGuiTextBuffer_begin(ImGuiTextBuffer*)

##### Declaration

    public static byte *ImGuiTextBuffer_begin(ImGuiTextBuffer*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTextBuffer* | self |

##### Returns

Type | Description
--- | ---
System.Byte* |

#### ImGuiTextBuffer_c_str(ImGuiTextBuffer*)

##### Declaration

    public static byte *ImGuiTextBuffer_c_str(ImGuiTextBuffer*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTextBuffer* | self |

##### Returns

Type | Description
--- | ---
System.Byte* |

#### ImGuiTextBuffer_clear(ImGuiTextBuffer*)

##### Declaration

    public static void ImGuiTextBuffer_clear(ImGuiTextBuffer*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTextBuffer* | self |

#### ImGuiTextBuffer_destroy(ImGuiTextBuffer*)

##### Declaration

    public static void ImGuiTextBuffer_destroy(ImGuiTextBuffer*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTextBuffer* | self |

#### ImGuiTextBuffer_empty(ImGuiTextBuffer*)

##### Declaration

    public static byte ImGuiTextBuffer_empty(ImGuiTextBuffer*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTextBuffer* | self |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImGuiTextBuffer_end(ImGuiTextBuffer*)

##### Declaration

    public static byte *ImGuiTextBuffer_end(ImGuiTextBuffer*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTextBuffer* | self |

##### Returns

Type | Description
--- | ---
System.Byte* |

#### ImGuiTextBuffer_ImGuiTextBuffer()

##### Declaration

    public static ImGuiTextBuffer*ImGuiTextBuffer_ImGuiTextBuffer()

##### Returns

Type | Description
--- | ---
ImGuiTextBuffer* |

#### ImGuiTextBuffer_reserve(ImGuiTextBuffer*, Int32)

##### Declaration

    public static void ImGuiTextBuffer_reserve(ImGuiTextBuffer*self, int capacity)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTextBuffer* | self |
System.Int32 | capacity |

#### ImGuiTextBuffer_size(ImGuiTextBuffer*)

##### Declaration

    public static int ImGuiTextBuffer_size(ImGuiTextBuffer*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTextBuffer* | self |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### ImGuiTextFilter_Build(ImGuiTextFilter*)

##### Declaration

    public static void ImGuiTextFilter_Build(ImGuiTextFilter*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTextFilter* | self |

#### ImGuiTextFilter_Clear(ImGuiTextFilter*)

##### Declaration

    public static void ImGuiTextFilter_Clear(ImGuiTextFilter*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTextFilter* | self |

#### ImGuiTextFilter_destroy(ImGuiTextFilter*)

##### Declaration

    public static void ImGuiTextFilter_destroy(ImGuiTextFilter*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTextFilter* | self |

#### ImGuiTextFilter_Draw(ImGuiTextFilter*, Byte*, Single)

##### Declaration

    public static byte ImGuiTextFilter_Draw(ImGuiTextFilter*self, byte *label, float width)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTextFilter* | self |
System.Byte* | label |
System.Single | width |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImGuiTextFilter_ImGuiTextFilter(Byte*)

##### Declaration

    public static ImGuiTextFilter*ImGuiTextFilter_ImGuiTextFilter(byte *default_filter)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | default_filter |

##### Returns

Type | Description
--- | ---
ImGuiTextFilter* |

#### ImGuiTextFilter_IsActive(ImGuiTextFilter*)

##### Declaration

    public static byte ImGuiTextFilter_IsActive(ImGuiTextFilter*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTextFilter* | self |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImGuiTextFilter_PassFilter(ImGuiTextFilter*, Byte*, Byte*)

##### Declaration

    public static byte ImGuiTextFilter_PassFilter(ImGuiTextFilter*self, byte *text, byte *text_end)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTextFilter* | self |
System.Byte* | text |
System.Byte* | text_end |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImGuiTextRange_destroy(ImGuiTextRange*)

##### Declaration

    public static void ImGuiTextRange_destroy(ImGuiTextRange*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTextRange* | self |

#### ImGuiTextRange_empty(ImGuiTextRange*)

##### Declaration

    public static byte ImGuiTextRange_empty(ImGuiTextRange*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTextRange* | self |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImGuiTextRange_ImGuiTextRange()

##### Declaration

    public static ImGuiTextRange*ImGuiTextRange_ImGuiTextRange()

##### Returns

Type | Description
--- | ---
ImGuiTextRange* |

#### ImGuiTextRange_ImGuiTextRangeStr(Byte*, Byte*)

##### Declaration

    public static ImGuiTextRange*ImGuiTextRange_ImGuiTextRangeStr(byte *_b, byte *_e)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | _b |
System.Byte* | _e |

##### Returns

Type | Description
--- | ---
ImGuiTextRange* |

#### ImGuiTextRange_split(ImGuiTextRange*, Byte, ImVector*)

##### Declaration

    public static void ImGuiTextRange_split(ImGuiTextRange*self, byte separator, ImVector*out)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTextRange* | self |
System.Byte | separator |
ImVector* | out |

#### ImVec2_destroy(Vector2*)

##### Declaration

    public static void ImVec2_destroy(Vector2*self)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2* | self |

#### ImVec2_ImVec2()

##### Declaration

    public static Vector2*ImVec2_ImVec2()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2* |

#### ImVec2_ImVec2Float(Single, Single)

##### Declaration

    public static Vector2*ImVec2_ImVec2Float(float _x, float _y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | _x |
System.Single | _y |

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2* |

#### ImVec4_destroy(Vector4*)

##### Declaration

    public static void ImVec4_destroy(Vector4*self)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector4* | self |

#### ImVec4_ImVec4()

##### Declaration

    public static Vector4*ImVec4_ImVec4()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector4* |

#### ImVec4_ImVec4Float(Single, Single, Single, Single)

##### Declaration

    public static Vector4*ImVec4_ImVec4Float(float _x, float _y, float _z, float _w)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | _x |
System.Single | _y |
System.Single | _z |
System.Single | _w |

##### Returns

Type | Description
--- | ---
System.Numerics.Vector4* |